GNU bug report logs - #33135
27.0.50; (make-thread) TRAMP interactive freeze macOS 10.14

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christian Johansson <christian@HIDDEN>; dated Wed, 24 Oct 2018 10:17:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 19 Nov 2018 11:57:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 19 06:57:12 2018
Received: from localhost ([127.0.0.1]:59703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gOiAw-0001RR-BB
	for submit <at> debbugs.gnu.org; Mon, 19 Nov 2018 06:57:11 -0500
Received: from cvj.se ([31.192.230.63]:33733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gOiAu-0001RI-5N
 for 33135 <at> debbugs.gnu.org; Mon, 19 Nov 2018 06:57:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=7n0H0VTTxXW2oGxytZFt6vrmksu/cTO7LHuskLuQpMs=; 
 b=Vv37BFyrIgJVvZSNgYQUItkeAZYK9V9pQlCrRgw4/Uc7MIKecTdWSSyUAH/WP+/sFZ6I7kHaAh5meppYr5fUzJTH0tIZq5DX3hQ5vZksWvdCG789fd7/F1T/sGjssild04RMqBXfEcX9u1hgROLEe22SyLhLk5UnX/rCU7FUzao=;
Received: from g238.broadband3.quicknet.se ([46.17.190.238]
 helo=[192.168.1.210])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gOiAq-0002lv-5b; Mon, 19 Nov 2018 12:57:05 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16B92)
In-Reply-To: <87bm6pkug0.fsf@HIDDEN>
Date: Mon, 19 Nov 2018 12:56:56 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <2E96FE15-DC3E-4124-A185-01D95E88976F@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
 <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
 <10B4CE43-2A4C-42CC-9E7F-56FC5F4054C5@HIDDEN> <87ftw4dqtg.fsf@HIDDEN>
 <C8FB9882-9567-47F4-8AEC-077DB3D4BB76@HIDDEN> <87a7m9b5m6.fsf@HIDDEN>
 <BFD756FC-EB60-4296-925D-27B476AA2156@HIDDEN> <87bm6pkug0.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi again!

Git bisect found that the commit causing this is: 917...933 find-file-asynch=
ronously can alse be regexp, it works before that

Regards
Christian

> 16 nov. 2018 kl. 14:45 skrev Michael Albinus <michael.albinus@HIDDEN>:
>=20
> Christian Johansson <christian@HIDDEN> writes:
>=20
>> Hi again
>=20
> Hi Christian,
>=20
>> I=E2=80=99ll try get a backtrace later, do you recommend GDB for that?
>=20
> Yes. But I have no experience to debug threads with GDB. See
> <https://debbugs.gnu.org/32537>, where somebody has debugged threaded
> Tramp with gdb.
>=20
>> Regards
>> Chris
>=20
> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 16 Nov 2018 13:45:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 16 08:45:26 2018
Received: from localhost ([127.0.0.1]:54877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gNeR4-0000q9-3I
	for submit <at> debbugs.gnu.org; Fri, 16 Nov 2018 08:45:26 -0500
Received: from mout.gmx.net ([212.227.17.21]:40049)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gNeR2-0000pr-0g
 for 33135 <at> debbugs.gnu.org; Fri, 16 Nov 2018 08:45:24 -0500
Received: from detlef.gmx.de ([212.86.52.180]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LnTjW-1foseK05Ec-00hh19; Fri, 16
 Nov 2018 14:45:06 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
 <87d0ryqv9a.fsf@HIDDEN> <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
 <874lcv1vo4.fsf@HIDDEN> <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
 <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
 <10B4CE43-2A4C-42CC-9E7F-56FC5F4054C5@HIDDEN> <87ftw4dqtg.fsf@HIDDEN>
 <C8FB9882-9567-47F4-8AEC-077DB3D4BB76@HIDDEN> <87a7m9b5m6.fsf@HIDDEN>
 <BFD756FC-EB60-4296-925D-27B476AA2156@HIDDEN>
Date: Fri, 16 Nov 2018 14:45:03 +0100
Message-ID: <87bm6pkug0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:fquEGPEKGVmRJk8L8fspLKiEeIDqVzwan5WMp6RlnsuUpDOsqw5
 otAv1Vs866Z7U12ORHmnkQN6b52rtKb2vWypEjiWmqlgtGJKvQYkWi0kDLbCSSu8pUlYxbN
 t66hZiKeY4+hrDhq0X+nxC/WAZ1vRx0a7eW+Td/iAcn2Bxn+GdcwAbpqLQbggaQD7kmNP2K
 Ck9hNwTmyU1C29tmVphng==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:Wk9EqgyEigY=:O+axmQy1X4Di/zB0i8zPhQ
 s138FTjW6oEU2/dqQl8yMo4hd3yXjrumjsULmkT9ReeUWYxHSyrfXQPx52xYL88QXJFJFUrEo
 Cwd6oZywCBQjJEGkh1Xy2Aq480vOEWS6kKeWeJAU+tACkUrc6wJTBsYOcnstwKzk0Rpqf3Fnl
 NVZKOCEXXVs31Yvdv/kowzA43cv+/ZiRk4/chJSyaic2FL01rZoJdTpifFzqfaIj1vV4Eg2Lh
 90X3pPzK5sniUcpB+PT82uJv/nHXaGDHCuJU+r/vEoLisFR0uwwGoEk9+SJdgOF3DrlwL6PaW
 5l7hDL4mIodhTFHVNQZfaxEtZnjPCWtXDZCUfnunIDSsU25qVo0o4/b+aVqDuffBZb2QMh6Tg
 drfdAeK/G9sdE2Mz0Dx1VMOAWfWRlqxqJVuNU5YfAO/f3gbu/1JLawlDU1+C7EedfRVtYFFW5
 8tcz/IhE96IYP17Gay+XDuzwCQfWN8Mcpz6v0sve+tqb5sRHWsqicZzBenvUVoxY1wzalwPh9
 V+8XBDQu9c8eU/dRQ8164d+tWFKjlTdpHdPlGCuXYA12bXxvDsgd4jwwUsMlBKS50Ot3XES5p
 p17Zp6vxQaTH72pizS2fiwGWF+t+8oRcjCQ6lsOgyOPl4o9ldElzLBEjhoC7XBtMoReudPDq3
 ZpTz4JKmNXCl+Jf7GgxoDhqKGd2T0GJ+jIM1wqSgXBO3sKloSqxZxAUkuvMzGG9pA9D6ugMP8
 gGqCAuVnwYStdSKK6YXqN+ZJzQJbdvJ5vRGwhXxApN8HpKkOOs1nqvUHC5zI8KJ4wUaWE5RQ5
 r36AKughb5PiDqHyUCD4AUqPZxAWKW+/t1k5ovVdSKSXM2dLfFQtRugYJoVaZgkTfw9fwgXoz
 QUSt0z2yVS56PmsyAw9YJOeCgDXFh+/F64TyFpwbhTxwbB4k9Nu5//g60Nz4+v+6I+vq812cE
 4d5iquLW97A==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

> Hi again

Hi Christian,

> I=E2=80=99ll try get a backtrace later, do you recommend GDB for that?

Yes. But I have no experience to debug threads with GDB. See
<https://debbugs.gnu.org/32537>, where somebody has debugged threaded
Tramp with gdb.

> Regards
> Chris

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 16 Nov 2018 13:13:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 16 08:13:24 2018
Received: from localhost ([127.0.0.1]:54855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gNdw4-0008SK-HG
	for submit <at> debbugs.gnu.org; Fri, 16 Nov 2018 08:13:24 -0500
Received: from cvj.se ([31.192.230.63]:52821)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gNdw2-0008S8-2i
 for 33135 <at> debbugs.gnu.org; Fri, 16 Nov 2018 08:13:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=shZNxr8bVZ6+vxO4w9niqlyn05yIoAdjJIbrMiqLTds=; 
 b=ZoGrCuxuJQkpNXfbTnDrpgEwyveiOUm3YouTO9EQu8azUWdSBI7kLLetxLMYC6YLDq6Ub7g0PvdCexOMUbM7XoggdpZ5f6zhPfL35UYvW1+Tv9u1V3N5RmTMFkrVNt1vwjO077m+ZDfATGkVQnhHNeJXCz8cj8C12Hb2oeUYYIU=;
Received: from g238.broadband3.quicknet.se ([46.17.190.238]
 helo=[192.168.1.210])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gNdvz-0002mb-8h; Fri, 16 Nov 2018 14:13:20 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16B92)
In-Reply-To: <87a7m9b5m6.fsf@HIDDEN>
Date: Fri, 16 Nov 2018 14:13:11 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <BFD756FC-EB60-4296-925D-27B476AA2156@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
 <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
 <10B4CE43-2A4C-42CC-9E7F-56FC5F4054C5@HIDDEN> <87ftw4dqtg.fsf@HIDDEN>
 <C8FB9882-9567-47F4-8AEC-077DB3D4BB76@HIDDEN> <87a7m9b5m6.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi again

(require =E2=80=99ede) + open tramp file doesn=E2=80=99t cause bug, only (gl=
obal-ede-mode) + open tramp file. Local files are fine

I=E2=80=99ll try get a backtrace later, do you recommend GDB for that?

Regards
Chris

> 16 nov. 2018 kl. 12:53 skrev Michael Albinus <michael.albinus@HIDDEN>:
>=20
> Christian Johansson <christian@HIDDEN> writes:
>=20
>> Hi again
>=20
> Hi Christian,
>=20
>> The issue didn=E2=80=99t happen without a init file so I narrowed down th=
e
>> issue to this line in my init file:
>>=20
>> (when (fboundp =E2=80=99global-ede-mode) (global-ede-mode nil))
>>=20
>> It only happens on this branch and when accessing tramp for some
>> reason. t or nil as argument causes same behavior
>=20
> Thanks for investigation! So I guess a simple (require 'ede) would
> already cause the trouble in  "emacs -Q"?
>=20
> Do you have a chance to debug or trace ede?
>=20
> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 16 Nov 2018 11:54:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 16 06:54:16 2018
Received: from localhost ([127.0.0.1]:54825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gNchT-0004Xd-RL
	for submit <at> debbugs.gnu.org; Fri, 16 Nov 2018 06:54:16 -0500
Received: from mout.gmx.net ([212.227.17.21]:53467)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gNchR-0004XN-Sf
 for 33135 <at> debbugs.gnu.org; Fri, 16 Nov 2018 06:54:14 -0500
Received: from detlef.gmx.de ([212.86.52.180]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M6874-1fYPgP2WxW-00y8vK; Fri, 16
 Nov 2018 12:53:55 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
 <87d0ryqv9a.fsf@HIDDEN> <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
 <874lcv1vo4.fsf@HIDDEN> <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
 <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
 <10B4CE43-2A4C-42CC-9E7F-56FC5F4054C5@HIDDEN> <87ftw4dqtg.fsf@HIDDEN>
 <C8FB9882-9567-47F4-8AEC-077DB3D4BB76@HIDDEN>
Date: Fri, 16 Nov 2018 12:53:53 +0100
In-Reply-To: <C8FB9882-9567-47F4-8AEC-077DB3D4BB76@HIDDEN> (Christian
 Johansson's message of "Fri, 16 Nov 2018 12:16:35 +0100")
Message-ID: <87a7m9b5m6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:gOlFFMFBB3NFSTp+U5T5SYlwQ/gd/mh7AUyq9w4Wqy/98LGoBgi
 jcAmS7rc5ZO0217bEWiytgGJ3RPE0ChVgxLERCt/aexHBvfBiyRLwY3Pmuf6/lxx2GsAO3Q
 H5epuKh19ubjFqDr/vWdtCCJQEueAER/vOMo/bYkDdqBir+sIJgpmbRpjTrLjo93jPzBjvj
 CChtkOEAqeSbJxC9GXC6A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:0tKuRcRqbIY=:GUi8q+UphTvBiT5cscIcxU
 VcrCWhCtUrqfFbNxKZDagicR03XNTZIOUq6Mf6NaztySA0dMsszQSqNJKqExKY1o11WhkDVio
 cdYU5hFfc2SALYuRd8/wfikUrJGw3hE7muzvx6vS3DSbhu8QLBfoZWtX503FsHAnMEvjTRD85
 ImoipRjUV7bCQD0lEGTeFD3wRmdY99oEZ3nB/8Lk84YyZQOyXclRw+vsHsW2O2ZTdlyb9ZG09
 AD7vAwdniLApfoY4a0I1/G08nKo0ZG6bzFQUM2JPUHzvhO7K3zSqD9HUzGkUUg8RRqN6Wj1s6
 Vv4Hnsu21+DItQ6i3LPXQG+OOJqpuOsZYe21nr92BBQr8TensxOpKpwXBeJb2eD7quVDBT4KH
 PXSBCGZunVWKrMUiWvuEmlFGQysEban0Iew4MIynf/HYTJnFCtNh4WxHcOFEoEMfBUYCnQ3mr
 zyPTZMnLQuuegdo1eiFo1MgmoaChfL2t3EskaMOLccj78V7oDPXED8KFwe4y65qIEd/1ZlFpv
 DZu3x2vNUFKujfbz39DGNio/DhsLoGmK0l1LuXp9BiSO/QvzsyiB4Oq6OkQuVU6ojLj6SXG6O
 O9Ueq/5ZbHT7drOkzUSwJ7buBztsfcXUTjqFY3C4KsOWpb417h+bMByJP5DbI97iMUWoAF9pt
 vYKFZRwQG3ECAxphlJDTLVWf3xTJ2VMZdQNBSAHsv//eebD4mnb9H9bik1sJxdbZFivKK0Dlf
 qgLsLaiQlllfGHpNCLsaI+1Xy6gBF29ILiVjxHpH+7RZLjSAhgFVbkHwuJbCqH66IlO4uMdZx
 MPidyKHVSx5/6PuvtTD8iXcCcHc64vKcdyixpeX6LoWK7aSpq46llTTRyc9dJ/OxiAFjsFgpc
 Co+ZNTQW1nx/SUdBs8PnLur/u79paVpWjIobaV3CXb/HRJ9E+ZahPSRSZqrISYjIqoiu5fZOI
 axzGCOvX+YA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

> Hi again

Hi Christian,

> The issue didn=E2=80=99t happen without a init file so I narrowed down the
> issue to this line in my init file:
>
> (when (fboundp =E2=80=99global-ede-mode) (global-ede-mode nil))
>
> It only happens on this branch and when accessing tramp for some
> reason. t or nil as argument causes same behavior

Thanks for investigation! So I guess a simple (require 'ede) would
already cause the trouble in  "emacs -Q"?

Do you have a chance to debug or trace ede?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 16 Nov 2018 11:16:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 16 06:16:57 2018
Received: from localhost ([127.0.0.1]:54807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gNc7I-0003Yv-LP
	for submit <at> debbugs.gnu.org; Fri, 16 Nov 2018 06:16:57 -0500
Received: from cvj.se ([31.192.230.63]:60111)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gNc7D-0003Yi-7g
 for 33135 <at> debbugs.gnu.org; Fri, 16 Nov 2018 06:16:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=SS1A6fBEeLyMWhSSWrcB8xRLu3EQsZeJnjRkH+riBEU=; 
 b=phoN3Ju/IE3BUNrcXVW9Wbxi3aCjBcKn9+3e1ycxuODMkYpPOhXmNnsZVElJ2Hqcg179KF2k0Fu+ex1yFJUeBey8W+Dbt16E3v9RkRmzewkuJsuURAfAhvJbFHRG0T4RaoUYEwwQFUpvzGQTzss6pr97qVD+nvb2HkC7tbvl2aQ=;
Received: from g238.broadband3.quicknet.se ([46.17.190.238]
 helo=[192.168.1.210])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gNc78-0001eF-Mc; Fri, 16 Nov 2018 12:16:45 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16B92)
In-Reply-To: <87ftw4dqtg.fsf@HIDDEN>
Date: Fri, 16 Nov 2018 12:16:35 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <C8FB9882-9567-47F4-8AEC-077DB3D4BB76@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
 <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
 <10B4CE43-2A4C-42CC-9E7F-56FC5F4054C5@HIDDEN> <87ftw4dqtg.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi again

The issue didn=E2=80=99t happen without a init file so I narrowed down the i=
ssue to this line in my init file:

(when (fboundp =E2=80=99global-ede-mode) (global-ede-mode nil))

It only happens on this branch and when accessing tramp for some reason. t o=
r nil as argument causes same behavior



> 14 nov. 2018 kl. 09:08 skrev Michael Albinus <michael.albinus@HIDDEN>:
>=20
> Christian Johansson <christian@HIDDEN> writes:
>=20
>> Oh wait, false positive. Issue doesn=E2=80=99t come when running without m=
acOS window system (-nw) but only with window system.
>=20
> OK, will wait.
>=20
>> Will start bisecting now
>=20
> Thanks!
>=20
>> Regards
>> Christian
>=20
> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 14 Nov 2018 08:08:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 03:08:49 2018
Received: from localhost ([127.0.0.1]:50896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMqEB-0000Q0-Vt
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:08:48 -0500
Received: from mout.gmx.net ([212.227.17.20]:52817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gMqEA-0000Pn-Fk
 for 33135 <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:08:46 -0500
Received: from detlef.gmx.de ([212.86.51.1]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M5r89-1fXkjU0PEH-00xs8A; Wed, 14
 Nov 2018 09:08:29 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
 <87d0ryqv9a.fsf@HIDDEN> <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
 <874lcv1vo4.fsf@HIDDEN> <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
 <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
 <10B4CE43-2A4C-42CC-9E7F-56FC5F4054C5@HIDDEN>
Date: Wed, 14 Nov 2018 09:08:27 +0100
In-Reply-To: <10B4CE43-2A4C-42CC-9E7F-56FC5F4054C5@HIDDEN> (Christian
 Johansson's message of "Wed, 14 Nov 2018 09:03:45 +0100")
Message-ID: <87ftw4dqtg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:42qyemYbuDIAse4VNCSuGoAIDoJ4wv6P3eMzlakZVZcywttoU/S
 /sWWC/tqSec20SmwHgM8JhICnJxuNqEq4XhJjA7bD8HExV3l5tUvGRsofd5Q7jIIIca/9AM
 xQ7hCPJjgSNA3fdM5S6/n93uyCDFX7wCRNVqgDR7gGrF6/OPpg8LUvs4EcODchGwrsqNGpc
 JjVOK9Hgco3sGpjh3fGWw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:6j6U18VLiyw=:RNo8wV9+8s9hssFlQyEIlE
 owOBCu7RymuCw3ngvCpIqQALTnxp9G/1Nv3dRvyPKrH7WhPKFcoGndiU8r2MMD+wKz2PD/Px+
 s1nlabsyX0GEP97KojX2EsNV/g3JrjrN94XqZoTk78zKrX+BeX7YL0ekL3tOULqsnMeE18pYO
 rZTH4E8g8pSFZRTufRnq0KXBCShJE/gJlXL9WrKwgPN2ys9qo9Vnkfr5NqS8k4cBLmN19aYIU
 n8d2YGSybFW2sCApbBdTPD0sfMhFZUhn4qaWHq0lYQB1RLFGLi2tPzzWtUk41YCxTWmRfuVpA
 eAmVqae/4orQRuR2Ha6opFg5iVixdFpZT7ZHmHbZ3dSdGCFoagQdQ6yirbyGbZ12pFZC7V1WJ
 P0l0Npllifrfp+qZo4q0iThnwT2K4g+2KyBLwM89lJbRiThIEOaOczxhlzThwb0Mc5hMdOqwF
 eEduC63MkyZvxdXw3Mz5S0EWHgnRxkv6aXli/X3fzTquW3f0APKNUDOe5qY2itewL3hg8jdgS
 tNlg3UC9FmXY0GlaDN4Qkr8tNBONk/iSMdXcksmXNqjcOpcQY73FlXkcDmsJsT1NC+Kk1ujjY
 2wVD23z1vpCzPgvFvY/JeEVLIQeTAO3w/yDXHCc7iUjQDebyCpMtk7QpTo20e9EU8CRxBMsSd
 ndU4nartM/1XZiuAmCnejM8OEYjH/EA6cT0kp5WyeWCB1U3x1OgWBEEwwnZicXz5ZAD6xoR+u
 zbBfiTq/Hbol1yemiE2CepVnih/gEUaVdjf1K+uBTkUGXJeSdRHPuHUCfq1A3C/C077VqtCpj
 kdRo5UYQVMUl2GMzDCBxCJQ1w+YGqx8fCE90lQyRFaP+l8HpcKEUNrxoFtMcrUCfXVFjW2/uZ
 nBwwsKTpaMt/0A5x/VuBtpjca4uuP9WWmnHbXkKsOwsbwCOxfScVHqnizNXQkVv1nJCWut8ag
 LBjU7p8+ezQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

> Oh wait, false positive. Issue doesn=E2=80=99t come when running without =
macOS window system (-nw) but only with window system.

OK, will wait.

> Will start bisecting now

Thanks!

> Regards
> Christian

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 14 Nov 2018 08:05:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 03:05:28 2018
Received: from localhost ([127.0.0.1]:50891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMqAy-0000L2-GX
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:05:28 -0500
Received: from mout.gmx.net ([212.227.15.18]:41951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gMqAw-0000Ko-00
 for 33135 <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:05:26 -0500
Received: from detlef.gmx.de ([212.86.51.1]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LdYdG-1feBkM33FC-00inFR; Wed, 14
 Nov 2018 09:05:08 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
 <87d0ryqv9a.fsf@HIDDEN> <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
 <874lcv1vo4.fsf@HIDDEN> <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
 <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
Date: Wed, 14 Nov 2018 09:05:07 +0100
In-Reply-To: <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN> (Christian
 Johansson's message of "Wed, 14 Nov 2018 08:59:48 +0100")
Message-ID: <87a7mcf5jg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:3nWAJ2irTp467XnMJijR4SM3BudLA6wefs4YdpurKYd85d/Etx3
 Gq6pQ5hse6dGoIrlI2RAuI6D9ESpAm3Os+Xlfnuo3sz9+L4uOFpyJpjv3D4LQr9l4cp8+4Z
 XXDaNEfQB4ma55clEBmgdLIK5OlGJ+4O+L/C236ZyWeuRFbl9/5zwqX7AZUvXUU0gHjOdvS
 Mxy1WtTC5sBi2aJn6q98g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:gm5Mx1awZGM=:HP6tPc9lYyoUWclpuzYgZm
 O65hw64MX+CcxscoRlHiYyDJjJjUSSpXnZ/99hhA2GMKKOuo9ExpxCCBA+begfreooctSNcIW
 MTtvBHz73XWMvyNw8zFzTcpbUBK7vnZWgZYac303WQyoI3FODHP6CkBnGLQBxnhJFSyo9GCA5
 JmmocFQQYVrDH66Iqo4ufl/pzgTHr4Ik4NCZRwTnUzgcYpSy8RiwQkULDA3xaBZE7cho6L9Oa
 mFpB1G7bCTTFE8+pYh/o/w1WMxdcbIy/54qHHztsBiHlHO0jjHkcclA67Xz/IEsSc9TqW+VDC
 YZ8iQ4fQavFsN+6nAJcP8L3SwUuD9RFvLS+A/xwjotrYZkk1SGY5RnRC49CKLVMn6PG0lSFLZ
 G7kRKp04+mlVHIcqYVa9NAEBLnWVbfglZBtsCIIQTEBAX07HUdf58CLszijSjLayA1cQjrpqB
 X4BizsfQYgK7ohtxAX+o7T5saPSnrix2o2NZbjK+DMdN9QQZtpgXRj3fr9jiLzqSwb3shP4ZO
 QKzWjxM/oaIQ6391tFMLU2hQDGU+hIRB6PsJWvnGZjKOCuoSBYSUkW4nCFY2n8Oabi+GWAkLJ
 dH4yl+jH1vki0tCCs/8KElGl3C13lp+WlYikdmwCtoWboHWz4cWWr/if2txq2VGfw//r6Itbh
 w/scWwAWyfpwL7hwMIgozRamiWH+v3HunVd5mv+cVX2jCji6400w0Bf4sRo49IHZSzu+To/i2
 j80ApqLNlQm8Kit+bpFLO+E8E8H2y0/4z4dzuE2HyK56szmKUMVys2y+nGvgH9NjjbLS7E8WJ
 BLkfdTfmfhX2DLDd2xXYgDuwi4WPBLcnVFBx15exTbJHey3NY+Nms6stBoejSW97Ro4lN/0Pf
 yrmTXeCmZLtOUl82limNB8PRfcFsjvm1onf7dxwC9JHq1ZSjBps2Ap/Me0r/TVHZyZebdonTe
 9dpmwq2/J3g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

> Hi Michael

Hi Christian,

> As of latest commit 90ae...5d93 I am no longer able to reproduce the issue, was just about to start bisecting now

Great! Maybe this is due to the last merge with master; some problems
with macOS were reported there.

I'm closing the bug. Feel free to report if there are further problems.

Thanks for your work and testing on the feature/tramp-thread-safe
branch!

> Regards
> Christian

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 14 Nov 2018 08:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 03:03:55 2018
Received: from localhost ([127.0.0.1]:50887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMq9T-0000IS-4d
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:03:55 -0500
Received: from cvj.se ([31.192.230.63]:56511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gMq9Q-0000IK-PO
 for 33135 <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:03:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=wMDV3a0K7l7lCSwdONjzP1c8027mGNpqGO1MKuorOKA=; 
 b=tGBGYDWAU+jM48hkb2rXvTU698iukPrzT1Ne8/mgFFab+BPodgNFRuRuwDO1OX1T7Uc3KPrKtDSF/6Y4wMxn4wLxGkSRO4ZepHrKbM8EqyzXW7vVCjn602KMtT6MP7iPexeIeQ04LTBoT6MbjyNLbeIQKJN5FZThXlR785Qq5Ko=;
Received: from g238.broadband3.quicknet.se ([46.17.190.238]
 helo=[192.168.1.210])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gMq9P-0002N1-VF; Wed, 14 Nov 2018 09:03:52 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16B92)
In-Reply-To: <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
Date: Wed, 14 Nov 2018 09:03:45 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <10B4CE43-2A4C-42CC-9E7F-56FC5F4054C5@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
 <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Oh wait, false positive. Issue doesn=E2=80=99t come when running without mac=
OS window system (-nw) but only with window system.

Will start bisecting now

Regards
Christian

> 14 nov. 2018 kl. 08:59 skrev Christian Johansson <christian@HIDDEN>:
>=20
> Hi Michael
>=20
> As of latest commit 90ae...5d93 I am no longer able to reproduce the issue=
, was just about to start bisecting now
>=20
> Regards
> Christian
>=20
>> 11 nov. 2018 kl. 09:53 skrev Michael Albinus <michael.albinus@HIDDEN>:
>>=20
>> Christian Johansson <christian@HIDDEN> writes:
>>=20
>>> Hi!
>>=20
>> Hi Christian,
>>=20
>>> I don=E2=80=99t get the error on master, just this branch. I tried setti=
ng
>>> execute-file-commands-asynchronously to nil to make sure it=E2=80=99s
>>> unthreaded with same result
>>=20
>> Strange. Could you bisect the branch in order to find out, when this
>> problem started to appear? I would do myself, but there's no macOS
>> machine around.
>>=20
>>> Regards
>>> Christian
>>=20
>> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 14 Nov 2018 08:00:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 03:00:01 2018
Received: from localhost ([127.0.0.1]:50883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMq5h-0000Bh-AR
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:00:01 -0500
Received: from cvj.se ([31.192.230.63]:33380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gMq5f-0000BH-QJ
 for 33135 <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:00:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=Kj6OMUswVdCCaB6fjSEm8GfE47NWI23oRjVjFuJXv94=; 
 b=UrVnm9ja2nHNBW4VoD6APvfrYHauFLJgWUvqy4McEnZ/UrxtA1ddCIeoHgy7oymCPIPv7gTNy3wXi/J1WXPpuR1s11kDARIxuBKkWO4AYVVbJPqrf1aUgS365ccclkrojhYSC8HrRWzW3c9vtmVaL3YybaiS0DLoW2Qc5QjW3fI=;
Received: from g238.broadband3.quicknet.se ([46.17.190.238]
 helo=[192.168.1.210])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gMq5c-0007Cw-HD; Wed, 14 Nov 2018 08:59:58 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16B92)
In-Reply-To: <87bm6wq9kc.fsf@HIDDEN>
Date: Wed, 14 Nov 2018 08:59:48 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <119EB8CA-C5E2-4F93-ADF9-E15197345A7D@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Michael

As of latest commit 90ae...5d93 I am no longer able to reproduce the issue, w=
as just about to start bisecting now

Regards
Christian

> 11 nov. 2018 kl. 09:53 skrev Michael Albinus <michael.albinus@HIDDEN>:
>=20
> Christian Johansson <christian@HIDDEN> writes:
>=20
>> Hi!
>=20
> Hi Christian,
>=20
>> I don=E2=80=99t get the error on master, just this branch. I tried settin=
g
>> execute-file-commands-asynchronously to nil to make sure it=E2=80=99s
>> unthreaded with same result
>=20
> Strange. Could you bisect the branch in order to find out, when this
> problem started to appear? I would do myself, but there's no macOS
> machine around.
>=20
>> Regards
>> Christian
>=20
> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 11 Nov 2018 16:00:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 11 11:00:15 2018
Received: from localhost ([127.0.0.1]:46590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gLs9n-0001d4-7O
	for submit <at> debbugs.gnu.org; Sun, 11 Nov 2018 11:00:15 -0500
Received: from cvj.se ([31.192.230.63]:32849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gLs9l-0001cv-Vl
 for 33135 <at> debbugs.gnu.org; Sun, 11 Nov 2018 11:00:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=6QqbQPLWPMbV4KezZ0dFa7hX89JYTOQ9IAJz6m5E114=; 
 b=M5uevlGheblDzZXLEyjm5xYoFqJwvnRusH6qemtWy2Xc8tZiTbLs8quPAYbxaZeBC95hxIn6iYaqzn5rWxqUOKTmQsiNQXZ6OkwgKo2klzqx76rluftGxNvG6Ebu8iTthVTgzsaaIEkbDTguIOZUe41gwvtRCtgDupNG81/ecsg=;
Received: from c-2f5ee255.011-155-65736b4.bbcust.telenor.se ([85.226.94.47]
 helo=[192.168.1.7])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gLs9k-0006jj-1R; Sun, 11 Nov 2018 17:00:12 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16A404)
In-Reply-To: <87bm6wq9kc.fsf@HIDDEN>
Date: Sun, 11 Nov 2018 17:00:10 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <7C3E3C48-C9F5-4A14-9197-E82B34DAD8FA@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> <87bm6wq9kc.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi again

 Sure l=E2=80=99ll do that next week

Regards

> 11 nov. 2018 kl. 09:53 skrev Michael Albinus <michael.albinus@HIDDEN>:
>=20
> Christian Johansson <christian@HIDDEN> writes:
>=20
>> Hi!
>=20
> Hi Christian,
>=20
>> I don=E2=80=99t get the error on master, just this branch. I tried settin=
g
>> execute-file-commands-asynchronously to nil to make sure it=E2=80=99s
>> unthreaded with same result
>=20
> Strange. Could you bisect the branch in order to find out, when this
> problem started to appear? I would do myself, but there's no macOS
> machine around.
>=20
>> Regards
>> Christian
>=20
> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 11 Nov 2018 08:54:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 11 03:54:00 2018
Received: from localhost ([127.0.0.1]:45287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gLlVH-0005lb-VV
	for submit <at> debbugs.gnu.org; Sun, 11 Nov 2018 03:54:00 -0500
Received: from mout.gmx.net ([212.227.17.22]:50033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gLlVF-0005lF-VR
 for 33135 <at> debbugs.gnu.org; Sun, 11 Nov 2018 03:53:58 -0500
Received: from detlef.gmx.de ([79.140.124.68]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M3R1g-1fUlN634z2-00qyMW; Sun, 11
 Nov 2018 09:53:40 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
 <87d0ryqv9a.fsf@HIDDEN> <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
 <874lcv1vo4.fsf@HIDDEN> <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
 <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN>
Date: Sun, 11 Nov 2018 09:53:39 +0100
In-Reply-To: <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN> (Christian
 Johansson's message of "Fri, 9 Nov 2018 13:08:25 +0100")
Message-ID: <87bm6wq9kc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:bvvFR5NuJdmcYFFNwoQF6SYPMDW1utC1ISmmUQaANlxNXchNeze
 3cGaHVFoRN3So/N0f7i1pwsnl6UxYvevz2F+3sF0/+sRTKybZaxGtgl6uZkPxuLLfLC/zDc
 jHqHzJa3BcDwgtdGjUoOgNNEnv4Y0xd2vRPoSQZG7jWwWKUwpESjzOKYJryJJb3KpfwfQmr
 Y1IT03Q0TpX2077q/Lfgg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:yvktdbC70f8=:zDHXvVShTWlySC5681H38M
 X/hvnS13/9EzsX010M8taamLBJXAFQa5+7/0tRut4LiFDKEcofo9eOr0tc+Echjn+EpK8/YeX
 WcF5ePysQ6aFo/cPXYmBw5WhM3vMkVdq6vne0ahAROlQSb5oMvyETGWvBaKBvoFZSL7j4WfQS
 Gz3ywEtOpZaAhWzqv8X22ZCGNLOFT/j3dr1hyAiExpe+lrFDWgvKE7djjy1SiSJpa941jEVuk
 amrdMm7ftewAxKT+2C5N3Tl2eozScKhPPLCGD5zelmWMtj13rpU3c/57yaihAPKfpV1sLLDGq
 6lyJ5f1fOlBMDil0lwY1bqOcrrwKhdke6BlVgZzp2HHTAv+DFJ9AvL4c22UcD8KGS6Tu2KeRe
 CbOgsEjCy8Yq+bEz94vL0+mWZ+MnMd5IG0F+sFhwNaOxWYa0RRzqsOzDl0WjWY0qdweXiOfB2
 OM70x7G/gHkO+q5bSt6USKdJ/O7SonfH5dcWcIMfMmmXW3MtSC/bTklZjX8SnZI/3wMFBNNhS
 lyseJMfV3lylYq29zrTSvAIdHj1++jVGWGav5KfLhcJjoypAmg1q10RQJ7PN8KZygmFYzY14O
 MSMf/td7Mf2WMRlFiOmMljs1pleh3t5xhzYW4mABXKZvK+xXXZI75bnjRmTpHXrRJCbtGXpB/
 D7AjiWGn0mHwhgjF+e0uw2tXBmODYWEfD9tBkVLQkpvN++5fpLz+JMZVcbpNDmTkrzxKmU6SM
 3pqK2CoSPKWoq8SjdnA8QwOlDe9Oot2jCi/2/U82ajjxd1+ruQxx/0cJIzOpzgf9k468lxVJ8
 7amU6jwje6jZV25DiiHpeMtcrvC+qsYyO8ckEkjgM8F2/8W2l5Lj8szr0E9Fq/WYoVr1mdVER
 Q58ZF1OVpgwp/qB/0mAgBNDjBSKbzy4NfEvsF4AKc/3Jt7IAouwa3MSTRfz8v+ZYM4vkPIsxW
 Rkck9RXESpw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

> Hi!

Hi Christian,

> I don=E2=80=99t get the error on master, just this branch. I tried setting
> execute-file-commands-asynchronously to nil to make sure it=E2=80=99s
> unthreaded with same result

Strange. Could you bisect the branch in order to find out, when this
problem started to appear? I would do myself, but there's no macOS
machine around.

> Regards
> Christian

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 9 Nov 2018 12:08:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 09 07:08:36 2018
Received: from localhost ([127.0.0.1]:42275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gL5aW-0000fl-F9
	for submit <at> debbugs.gnu.org; Fri, 09 Nov 2018 07:08:36 -0500
Received: from cvj.se ([31.192.230.63]:54040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gL5aU-0000fb-2u
 for 33135 <at> debbugs.gnu.org; Fri, 09 Nov 2018 07:08:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=gnbKo4cv+dTU/YsCAhUzibXGNYeLmEzv7HDwDzbUdSc=; 
 b=q5EeSOJCrlUeDk5DFxo3u1YwCQC/Ed5FrISq8iCt/hAxfTIWGhGmOh07LN5c3IGN2XaInJ9+M3PwVanag88R4M/ipX0Kb2XsIj4Vlu+s/cuZ/wTS+3dyDPG3zR7zOVQYK8xeYQWUNZgeAEFC95HW/OHpVwBXQQF/xALOTFruPAQ=;
Received: from g238.broadband3.quicknet.se ([46.17.190.238]
 helo=[192.168.1.210])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gL5aS-0008Hc-AB; Fri, 09 Nov 2018 13:08:32 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16A404)
In-Reply-To: <87lg62ftkt.fsf@HIDDEN>
Date: Fri, 9 Nov 2018 13:08:25 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <20F89AF0-5C32-49F1-894A-624B9E0988B3@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> <87lg62ftkt.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi!

I don=E2=80=99t get the error on master, just this branch. I tried setting e=
xecute-file-commands-asynchronously to nil to make sure it=E2=80=99s unthrea=
ded with same result

Regards
Christian



> 9 nov. 2018 kl. 11:12 skrev Michael Albinus <michael.albinus@HIDDEN>:
>=20
> Christian Johansson <christian@HIDDEN> writes:
>=20
>> Hi
>=20
> Hi Christian,
>=20
>> In the other scenario I have repeatedly got the error when visiting a
>> archive (find-file) on remote ssh tramp host that is also piped into
>> another user like this:
>> (find-file
>> "/ssh:user@HIDDEN|sudo:otheruser@HIDDEN:/home/otheruser/myzip.zip=
")
>>=20
>> It crashes when I do it synchronously (unthreaded)
>>=20
>> I also think I get the error when visiting directory in dired like
>> (dired
>> "/ssh:user@HIDDEN|sudo:otheruser@HIDDEN:/home/otheruser/"),
>> also unthreaded
>=20
> Does it happen only in the feature/tramp-thread-safe branch, or also in
> the master branch?
>=20
> Anyway, I cant reproduce it locally on GNU/Linux, so there is something
> wrong in the macOS implementation of threads I fear.
>=20
> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 9 Nov 2018 10:12:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 09 05:12:39 2018
Received: from localhost ([127.0.0.1]:42240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gL3mJ-0006EY-12
	for submit <at> debbugs.gnu.org; Fri, 09 Nov 2018 05:12:39 -0500
Received: from mout.gmx.net ([212.227.17.21]:57093)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gL3mH-0006EH-Ar
 for 33135 <at> debbugs.gnu.org; Fri, 09 Nov 2018 05:12:38 -0500
Received: from detlef.gmx.de ([213.220.146.46]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MPD8G-1gPRUi0msy-004WTj; Fri, 09
 Nov 2018 11:12:20 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
 <87d0ryqv9a.fsf@HIDDEN> <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
 <874lcv1vo4.fsf@HIDDEN> <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
 <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN>
Date: Fri, 09 Nov 2018 11:12:18 +0100
In-Reply-To: <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN> (Christian
 Johansson's message of "Thu, 8 Nov 2018 16:42:16 +0100")
Message-ID: <87lg62ftkt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:JUM1rDl7aq5+0p1Fg0jZNEwREs/dy9HFLiNo95VF0lleWl0spQo
 mWl2tRN9ZvuDRo6qTc3sfxPzDH7u3glyI93feBuLHLS7hHpxdvVv5K85Mn1bpQcrzjJRW+a
 eTT1cH20uqDd0Rd+KeZPxjINpk17kT3LkrHsapMPquTYicLROisnbpZ7C3B31OSg+Vt3AtG
 OyEvGOhTyWmbv50Q9XycQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:yV3rbhU/T+M=:td1jzZVBOCtV1uzGaB/Ygm
 BE91asHdrXi4yPEvTXZ7wu4umXT5CX5hEJMRTBuwN+tf1hCV2cU+mTF+/9NUfg8IyPTzbFD9Q
 IxPkh3/8ZIxy/cQWEuIJPnJoDPfXI7s2aw/TRROtMX85ZLH8JJcyW7TFQTVaf0vYeggxGWJit
 X7i2x00HOHKdqAuW68sXkiFoih1umYI1W7hWYJYhbM2POrgZlEbUBbp9/vMAYYKa9acfI56+H
 AgKjEWME5BKkswwV+Nf6CUxWq2N+WjTqktoXq0Xq5SVe1QtqoxCl14tRVyYiTG8KJ2xnNzgbd
 dVkmalzxHUvbyMG2qQ2C1HjoSOO/dPNUBmKj6tY8W7K9hqNN3pC9q0/tpKj8CUT2y6sfDnbQn
 /B3NFzkXPXJnqxOw2Puuc/Dfwc8GyPQ3FmCQfnmjnVJqCnIThv5mxHDOschs3sUKaN5/bkQTI
 ToLDHgyGI8F2a/pXXaaLWFBUgFD3dXrMwCu0ETVKSTkssu79eA5tSOD2zaGuIkA3u8eeLcen2
 gfZNUr4i0b3C2OuADSVJJCedjLXfJECvyXzxFaa8TIWp33xkjl2Qdbam87bOL4NH9NDQ9tphn
 9FC8Lk+9Iyo1D0DTnJMjYDjjaeAAac9AfsVTVRwpaGftAvX/HwZVW0Cf0S8AxBZaMuQzA817y
 GlVe39ZaO3TPB2sDy8LgQzzaJGI8G9Nse0nccS7MLaXUtv4BSey/AfDdvk/2q6ESkGphTKjiW
 uIyaK3iIqHP7azxTcZH7yoZviTFzQnVlXVtbWGsEahtAPKKHKtbJmZxbuuVDPTaVgBKy8mtPj
 TASxztbzwUyy6+D+r8euiBmq0IzUHNg/Msz56vgtSZlxXIjO2sL+kc9MVP0YsMl7XtnWI1cdn
 uhPMw2p/Zm4v5YyiEXGIsnhaI4FD5skrYrkbZcgVseEtqmi+j33ZJAeGAWGyXlg+dtNf1i7r1
 mQJvNXUD8bg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

> Hi

Hi Christian,

> In the other scenario I have repeatedly got the error when visiting a
> archive (find-file) on remote ssh tramp host that is also piped into
> another user like this:
> (find-file
> "/ssh:user@HIDDEN|sudo:otheruser@HIDDEN:/home/otheruser/myzip.zip")
>
> It crashes when I do it synchronously (unthreaded)
>
> I also think I get the error when visiting directory in dired like
> (dired
> "/ssh:user@HIDDEN|sudo:otheruser@HIDDEN:/home/otheruser/"),
> also unthreaded

Does it happen only in the feature/tramp-thread-safe branch, or also in
the master branch?

Anyway, I cant reproduce it locally on GNU/Linux, so there is something
wrong in the macOS implementation of threads I fear.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 8 Nov 2018 15:42:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 08 10:42:26 2018
Received: from localhost ([127.0.0.1]:41823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKmRt-0000jc-KD
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 10:42:25 -0500
Received: from cvj.se ([31.192.230.63]:58612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gKmRs-0000jU-6V
 for 33135 <at> debbugs.gnu.org; Thu, 08 Nov 2018 10:42:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:References:Cc:To:Subject;
 bh=378nKhlf1s9M6u+Hxc+ZiOcCehio7c6on7oVHYFW3fw=; 
 b=YS5xE52oP/4gCzG42dIBrCz98ly/DZ1IX/S8gP0Ie0R2kBa4l3f0QniWiO1nrTDGad32Ejhbhmx3s3Gyv+E3BrokthYlCrIqGzhIy3VSTBlp3HtOwAnOBL0EUjSbQI0rpkMg2t2U0MGd9eoYtJKzTQa9pF8CCXglC9C4a6n49zw=;
Received: from m77-218-245-1.cust.tele2.se ([77.218.245.1]
 helo=Christians-MacBook-Air.local)
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gKmRr-0007eC-5Z; Thu, 08 Nov 2018 16:42:23 +0100
Subject: Re: bug#33135: 27.0.50; (make-thread) TRAMP interactive freeze macOS
 10.14
To: Michael Albinus <michael.albinus@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> <87h8gt49b8.fsf@HIDDEN>
From: Christian Johansson <christian@HIDDEN>
Message-ID: <9ca15be0-3a7c-66a6-fe86-27387e1d9e42@HIDDEN>
Date: Thu, 8 Nov 2018 16:42:16 +0100
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0)
 Gecko/20100101 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <87h8gt49b8.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi

Both scenarios cause the crashes, user-interaction for password with 
threaded tramp seems to always crash emacs on macOS. The window doesn't 
close but there is a error in the terminal and emacs gets stuck

In the other scenario I have repeatedly got the error when visiting a 
archive (find-file) on remote ssh tramp host that is also piped into 
another user like this:
(find-file 
"/ssh:user@HIDDEN|sudo:otheruser@HIDDEN:/home/otheruser/myzip.zip")

It crashes when I do it synchronously (unthreaded)

I also think I get the error when visiting directory in dired like 
(dired 
"/ssh:user@HIDDEN|sudo:otheruser@HIDDEN:/home/otheruser/"), also 
unthreaded


On 2018-11-07 08:48, Michael Albinus wrote:
> Christian Johansson <christian@HIDDEN> writes:
>
> Hi Christian,
>
>> I was wrong, interactive threaded tramp over ange-ftp on macos doesn’t
>> work. I have got more crashes lately after I updated branch, not sure
>> if errors help but here are some:
> Are these crashes just in case a user interaction with the thread was
> needed, or does it happen also when a (remote) file is just visited in a
> buffer, without any interaction?
>
> In the latter case, could you pls describe your scenario?
>
> Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 7 Nov 2018 07:49:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 07 02:49:07 2018
Received: from localhost ([127.0.0.1]:38068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKIaI-0001Py-Vb
	for submit <at> debbugs.gnu.org; Wed, 07 Nov 2018 02:49:07 -0500
Received: from mout.gmx.net ([212.227.17.22]:37431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gKIaF-0001PQ-4k
 for 33135 <at> debbugs.gnu.org; Wed, 07 Nov 2018 02:49:05 -0500
Received: from detlef.gmx.de ([212.91.243.54]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MEtba-1gHYl51gde-00Fyfv; Wed, 07
 Nov 2018 08:48:45 +0100
Received: from detlef.gmx.de ([212.91.243.54]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MEtba-1gHYl51gde-00Fyfv; Wed, 07
 Nov 2018 08:48:45 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
 <87d0ryqv9a.fsf@HIDDEN> <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
 <874lcv1vo4.fsf@HIDDEN> <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
 <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN>
Date: Wed, 07 Nov 2018 08:48:43 +0100
In-Reply-To: <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN> (Christian
 Johansson's message of "Tue, 6 Nov 2018 18:50:30 +0100")
Message-ID: <87h8gt49b8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:iWwjuNljn1urAkr2EidT4wogb5Mv44gaOp6oZ8teVSjDyM21PZa
 yGtHDmSneGcZEfMZ6U1OaoTduuh3+N1EqulbPDONdONG3LxLsIn48312ijftYe80ye8NfLd
 GFmPN84uDaG0l0OM7yKlHJ4y0n+nVTiCxJpb6L6epLgHLPCqIzjbPZ7DAxzL1KA9UV4kZ65
 QYSEHWAob9m/KnF95OYpg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:pZ2kN8rVsCg=:5K0f+8Id7At7OF9RhGU8Wd
 XMLiHKnK2jC/G8qGQLL/+tYSq0utsicdzIqjFsiNHtHb/3FLvHQ2CX7a0UINDahXt477XxY6U
 kDsDyL5hVAPemLbpJ53wu6H58/QQfTQO7QsiO7KLNAXz1CyFOUKR4B6V29PbQ7wRgRDILKBNT
 Sfm0RW53z4svK7G9rO6UQUb9ZAntdPbsyBUjYT+nf7G/NHHDmCrPOIJuYNk9PqntSENRoAhlA
 LAZ+IqW8dtSXUY78AWba2wWFuBSTx0kunW+GTQ9oFUKIADhQtM3w1yswuyGIpT8LZx+sNlN4Z
 12OktLQ/ihzPRKZ75TBCrX+/6owdN63aGl1Z8js4SLPgPV676NgTT/f7VL8mMz6OlaF+stZ1e
 jNj0QoC9spUAykSDYu8DZQaENDifC7SnbcrhdjkskuF28Cxd5jkw8axwv+LkkaJnwv3nJA7CS
 TsTIk/aA+a4PpJ/1xolCZyEymB3GaauXxUM+60VIGmomLF8sqXUGPkw2GBAGMJtrY+GA1Cgf+
 Z+aofXJ7aeIAp2kxMRGyU6Hd66Iz451Kmtn2V6HRqi9xrHmXVSD0+KPbozeOffKXQEkxHq7Tg
 9AF1tQI98zT1ZnHmDpARgkJeVwcfQe3MpNeHd8Zc7aRDBrymyATNt1qvXLQVSgM8hxd2d8EzD
 RMghnOeeZu5Ckfuz5rWrN7aRRdEsnYAy5jZf0MNES+06+sYyCCMhnAnbDQKLubQKaDxuG7HHB
 0bHTupoCcttrXcYTcd2MF4D8RkMxbpu6dSOd9yjgvF7s61TrF5yUJSibaxbPkjewbHDzHARwb
 OnOSh6Ri7l0K2+W0uQJW88QI+kad9BI9mgEjixWQppUfkkTXVE=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

Hi Christian,

> I was wrong, interactive threaded tramp over ange-ftp on macos doesn=E2=
=80=99t
> work. I have got more crashes lately after I updated branch, not sure
> if errors help but here are some:

Are these crashes just in case a user interaction with the thread was
needed, or does it happen also when a (remote) file is just visited in a
buffer, without any interaction?

In the latter case, could you pls describe your scenario?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 6 Nov 2018 17:50:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 06 12:50:44 2018
Received: from localhost ([127.0.0.1]:37641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gK5Ux-0002PB-UN
	for submit <at> debbugs.gnu.org; Tue, 06 Nov 2018 12:50:44 -0500
Received: from cvj.se ([31.192.230.63]:48093)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gK5Uv-0002P2-NX
 for 33135 <at> debbugs.gnu.org; Tue, 06 Nov 2018 12:50:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=GAcA9XwARa3+GocUl0aMfKvITFYG+e4iXYC0JiAPftA=; 
 b=SskMhXnpKomdHI6I8TgcEQtBmx9VHIn180RnEHQRqJ1791S5mnZJ7uTSrk4tYxLha1Frw7E3gueGugZ27JsN2dqqlQNc+Q3yCiGUfCzU8TLmft1/96QJgGpumyScspKsy40YIm61JG+2bQcaEEuqX1cSc61cYqwoOTa6sUrGxKc=;
Received: from m77-218-242-15.cust.tele2.se ([77.218.242.15]
 helo=[100.90.146.15])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gK5Ut-00038d-PC; Tue, 06 Nov 2018 18:50:40 +0100
Content-Type: multipart/alternative;
 boundary=Apple-Mail-E13DD021-9FAE-40F3-ACF3-4669E23A2C9D
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16A404)
In-Reply-To: <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
Date: Tue, 6 Nov 2018 18:50:30 +0100
Content-Transfer-Encoding: 7bit
Message-Id: <112C9286-C8BE-4869-ACFC-07905FFD6A44@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
 <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail-E13DD021-9FAE-40F3-ACF3-4669E23A2C9D
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable

I was wrong, interactive threaded tramp over ange-ftp on macos doesn=E2=80=99=
t work. I have got more crashes lately after I updated branch, not sure if e=
rrors help but here are some:


 ;; Opening remote file=20
emacs(16737,0x700004306000) malloc: *** error for object 0x11cb50885: pointe=
r being freed was not allocated emacs(16737,0x111d105c0) malloc: *** error f=
or object 0x7ffeefbfb610: pointer being freed was not allocated emacs(16737,=
0x700004306000) malloc: *** set a breakpoint in malloc_error_break to debug e=
macs(16737,0x111d105c0) malloc: *** set a breakpoint in malloc_error_break t=
o debug Fatal error 6: Abort trapAbort trap: 6 logout Saving session... ...s=
aving history...truncating history files... ...completed.

;; Renaming file over SSH via tramp=20
objc[40791]: Invalid or prematurely-freed autorelease pool 0x10200b1c0. Fata=
l error 6: Abort trapAbort trap: 6=20

 ;; another local sudo
emacs(41111,0x70000c892000) malloc: *** error for object 0x70000d093530: poi=
nter being freed was not allocated emacs(41111,0x70000c892000) malloc: *** s=
et a breakpoint in malloc_error_break to debug Fatal error 4: Illegal instru=
ctionAbort trap: 6=20

;; another remote dired over SSH
emacs(40323,0x1181f95c0) malloc: *** error for object 0x103337305: pointer b=
eing freed was not allocated emacs(40323,0x1181f95c0) malloc: *** set a brea=
kpoint in malloc_error_break to debug

> 5 nov. 2018 kl. 16:39 skrev Christian Johansson <christian@HIDDEN>:
>=20
> Alright, I=E2=80=99ll see if I can get the error again. I only got it like=
 2 times in 8 hours so it=E2=80=99s not frequent.
>=20
> I tried user-interaction via threaded ange-ftp  tramp on macOS and it seem=
s to work on your branch. I will try it a bit more this week.
>=20
> Regards
> Christian
>=20
>> 5 nov. 2018 kl. 14:49 skrev Michael Albinus <michael.albinus@HIDDEN>:
>>=20
>> Christian Johansson <christian@HIDDEN> writes:
>>=20
>>> Hi Michael
>>=20
>> Hi Christian,
>>=20
>>> I haven't experienced a single crash since I started using your
>>> threaded tramp branch but I sometimes get errors like this, but it
>>> doesn't make Emacs crash, I can just retry same operation and it will
>>> work. It seems like sometimes a thread is busy and Emacs tries to
>>> access it in some way and this error occurs, I have replaced sensitive
>>> information with --- below
>>>=20
>>> Debugger entered--Lisp error: (error "Attempt to accept output from
>>> process *ftp ---...")
>>>  accept-process-output(#<process *ftp ---@---*>)
>>>  ange-ftp-wait-not-busy(#<process *ftp ---@---*>)
>>>  ange-ftp-raw-send-cmd(#<process *ftp ---@---*> "type ascii" nil
>>> (#f(compiled-function (result line host user cmd msg cont nowait)
>>> #<bytecode 0x4ffee879>) "---" "---" "type ascii" nil nil nil) nil)
>>=20
>> Looks like the ange-ftp process is not assigned to the proper thread. As
>> said, ange-ftp is a special case, it wasn't handled yet.
>>=20
>> I've pushed a fix to the feature/tramp-thread-safe branch; should work
>> now. Could you pls retest?
>>=20
>>> I haven't tried threaded tramp that requires user-interaction yet
>>> though since I got ~/.authinfo.gpg working with ange-ftp, I'll see if
>>> I can test that this week
>>=20
>> Likely, this won't work. Nobody has provided a fix for this problem, yet.=

>>=20
>>> Regards
>>> Christian
>>=20
>> Best regards, Michael.

--Apple-Mail-E13DD021-9FAE-40F3-ACF3-4669E23A2C9D
Content-Type: text/html;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head><meta http-equiv=3D"content-type" content=3D"text/html; charset=3D=
utf-8"></head><body dir=3D"auto"><div dir=3D"ltr"></div><div dir=3D"ltr">I w=
as wrong, interactive threaded tramp over ange-ftp on macos doesn=E2=80=99t w=
ork. I have got more crashes lately after I updated branch, not sure if erro=
rs help but here are some:</div><div dir=3D"ltr"><br></div><div dir=3D"ltr">=
<span style=3D"background-color: rgba(255, 255, 255, 0);"><br></span></div><=
div dir=3D"ltr"><span style=3D"background-color: rgba(255, 255, 255, 0);">&n=
bsp;;; Opening remote file&nbsp;</span></div><div dir=3D"ltr"><span style=3D=
"background-color: rgba(255, 255, 255, 0);">emacs(<span class=3D"number">167=
37</span>,<span class=3D"number">0x700004306000</span>) malloc: *** <span cl=
ass=3D"built_in" style=3D"font-weight: bold;">error</span> <span class=3D"ke=
yword" style=3D"font-weight: bold;">for</span> object <span class=3D"number"=
>0x11cb50885</span>: pointer being freed was <span class=3D"keyword" style=3D=
"font-weight: bold;">not</span> allocated
emacs(<span class=3D"number">16737</span>,<span class=3D"number">0x111d105c0=
</span>) malloc: *** <span class=3D"built_in" style=3D"font-weight: bold;">e=
rror</span> <span class=3D"keyword" style=3D"font-weight: bold;">for</span> o=
bject <span class=3D"number">0x7ffeefbfb610</span>: pointer being freed was <=
span class=3D"keyword" style=3D"font-weight: bold;">not</span> allocated
emacs(<span class=3D"number">16737</span>,<span class=3D"number">0x700004306=
000</span>) malloc: *** set a breakpoint <span class=3D"keyword" style=3D"fo=
nt-weight: bold;">in</span> malloc_error_break to <span class=3D"built_in" s=
tyle=3D"font-weight: bold;">debug</span>
emacs(<span class=3D"number">16737</span>,<span class=3D"number">0x111d105c0=
</span>) malloc: *** set a breakpoint <span class=3D"keyword" style=3D"font-=
weight: bold;">in</span> malloc_error_break to <span class=3D"built_in" styl=
e=3D"font-weight: bold;">debug</span>
Fatal <span class=3D"built_in" style=3D"font-weight: bold;">error</span> <sp=
an class=3D"number">6</span>: Abort trapAbort trap: <span class=3D"number">6=
</span>
logout
Saving session...
...saving history...truncating history files...
...completed.</span></div><div dir=3D"ltr"><span style=3D"background-color: r=
gba(255, 255, 255, 0);"><br></span></div><div dir=3D"ltr"><span style=3D"bac=
kground-color: rgba(255, 255, 255, 0);">;; Renaming file over SSH via tramp&=
nbsp;</span></div><div dir=3D"ltr"><span style=3D"background-color: rgba(255=
, 255, 255, 0);">objc[<span class=3D"number">40791</span>]: Invalid <span cl=
ass=3D"keyword" style=3D"font-weight: bold;">or</span> prematurely-freed aut=
orelease pool <span class=3D"number">0x10200b1c0</span>.
Fatal <span class=3D"built_in" style=3D"font-weight: bold;">error</span> <sp=
an class=3D"number">6</span>: Abort trapAbort trap: <span class=3D"number">6=
</span>&nbsp;</span></div><div dir=3D"ltr"><span style=3D"background-color: r=
gba(255, 255, 255, 0);"><br></span></div><div dir=3D"ltr"><span style=3D"bac=
kground-color: rgba(255, 255, 255, 0);">&nbsp;;; another local sudo</span></=
div><div dir=3D"ltr"><span style=3D"background-color: rgba(255, 255, 255, 0)=
;">emacs(<span class=3D"number">41111</span>,<span class=3D"number">0x70000c=
892000</span>) malloc: *** <span class=3D"built_in" style=3D"font-weight: bo=
ld;">error</span> <span class=3D"keyword" style=3D"font-weight: bold;">for</=
span> object <span class=3D"number">0x70000d093530</span>: pointer being fre=
ed was <span class=3D"keyword" style=3D"font-weight: bold;">not</span> alloc=
ated
emacs(<span class=3D"number">41111</span>,<span class=3D"number">0x70000c892=
000</span>) malloc: *** set a breakpoint <span class=3D"keyword" style=3D"fo=
nt-weight: bold;">in</span> malloc_error_break to <span class=3D"built_in" s=
tyle=3D"font-weight: bold;">debug</span>
Fatal <span class=3D"built_in" style=3D"font-weight: bold;">error</span> <sp=
an class=3D"number">4</span>: Illegal instructionAbort trap: <span class=3D"=
number">6</span>&nbsp;
</span></div><div dir=3D"ltr"><span style=3D"background-color: rgba(255, 255=
, 255, 0);"><br></span></div><div dir=3D"ltr"><span style=3D"background-colo=
r: rgba(255, 255, 255, 0);">;; another remote dired over SSH</span></div><di=
v dir=3D"ltr"><span style=3D"background-color: rgba(255, 255, 255, 0);">emac=
s(<span class=3D"number">40323</span>,<span class=3D"number">0x1181f95c0</sp=
an>) malloc: *** <span class=3D"built_in" style=3D"font-weight: bold;">error=
</span> <span class=3D"keyword" style=3D"font-weight: bold;">for</span> obje=
ct <span class=3D"number">0x103337305</span>: pointer being freed was <span c=
lass=3D"keyword" style=3D"font-weight: bold;">not</span> allocated
emacs(<span class=3D"number">40323</span>,<span class=3D"number">0x1181f95c0=
</span>) malloc: *** set a breakpoint <span class=3D"keyword" style=3D"font-=
weight: bold;">in</span> malloc_error_break to <span class=3D"built_in" styl=
e=3D"font-weight: bold;">debug</span></span></div><div dir=3D"ltr"><br>5 nov=
. 2018 kl. 16:39 skrev Christian Johansson &lt;<a href=3D"mailto:christian@c=
vj.se">christian@HIDDEN</a>&gt;:<br><br></div><blockquote type=3D"cite"><div=
 dir=3D"ltr"><span>Alright, I=E2=80=99ll see if I can get the error again. I=
 only got it like 2 times in 8 hours so it=E2=80=99s not frequent.</span><br=
><span></span><br><span>I tried user-interaction via threaded ange-ftp &nbsp=
;tramp on macOS and it seems to work on your branch. I will try it a bit mor=
e this week.</span><br><span></span><br><span>Regards</span><br><span>Christ=
ian</span><br><span></span><br><blockquote type=3D"cite"><span>5 nov. 2018 k=
l. 14:49 skrev Michael Albinus &lt;<a href=3D"mailto:michael.albinus@HIDDEN"=
>michael.albinus@HIDDEN</a>&gt;:</span><br></blockquote><blockquote type=3D"=
cite"><span></span><br></blockquote><blockquote type=3D"cite"><span>Christia=
n Johansson &lt;<a href=3D"mailto:christian@HIDDEN">christian@HIDDEN</a>&gt;=
 writes:</span><br></blockquote><blockquote type=3D"cite"><span></span><br><=
/blockquote><blockquote type=3D"cite"><blockquote type=3D"cite"><span>Hi Mic=
hael</span><br></blockquote></blockquote><blockquote type=3D"cite"><span></s=
pan><br></blockquote><blockquote type=3D"cite"><span>Hi Christian,</span><br=
></blockquote><blockquote type=3D"cite"><span></span><br></blockquote><block=
quote type=3D"cite"><blockquote type=3D"cite"><span>I haven't experienced a s=
ingle crash since I started using your</span><br></blockquote></blockquote><=
blockquote type=3D"cite"><blockquote type=3D"cite"><span>threaded tramp bran=
ch but I sometimes get errors like this, but it</span><br></blockquote></blo=
ckquote><blockquote type=3D"cite"><blockquote type=3D"cite"><span>doesn't ma=
ke Emacs crash, I can just retry same operation and it will</span><br></bloc=
kquote></blockquote><blockquote type=3D"cite"><blockquote type=3D"cite"><spa=
n>work. It seems like sometimes a thread is busy and Emacs tries to</span><b=
r></blockquote></blockquote><blockquote type=3D"cite"><blockquote type=3D"ci=
te"><span>access it in some way and this error occurs, I have replaced sensi=
tive</span><br></blockquote></blockquote><blockquote type=3D"cite"><blockquo=
te type=3D"cite"><span>information with --- below</span><br></blockquote></b=
lockquote><blockquote type=3D"cite"><blockquote type=3D"cite"><span></span><=
br></blockquote></blockquote><blockquote type=3D"cite"><blockquote type=3D"c=
ite"><span>Debugger entered--Lisp error: (error "Attempt to accept output fr=
om</span><br></blockquote></blockquote><blockquote type=3D"cite"><blockquote=
 type=3D"cite"><span>process *ftp ---...")</span><br></blockquote></blockquo=
te><blockquote type=3D"cite"><blockquote type=3D"cite"><span> &nbsp;accept-p=
rocess-output(#&lt;process *ftp ---@---*&gt;)</span><br></blockquote></block=
quote><blockquote type=3D"cite"><blockquote type=3D"cite"><span> &nbsp;ange-=
ftp-wait-not-busy(#&lt;process *ftp ---@---*&gt;)</span><br></blockquote></b=
lockquote><blockquote type=3D"cite"><blockquote type=3D"cite"><span> &nbsp;a=
nge-ftp-raw-send-cmd(#&lt;process *ftp ---@---*&gt; "type ascii" nil</span><=
br></blockquote></blockquote><blockquote type=3D"cite"><blockquote type=3D"c=
ite"><span>(#f(compiled-function (result line host user cmd msg cont nowait)=
</span><br></blockquote></blockquote><blockquote type=3D"cite"><blockquote t=
ype=3D"cite"><span>#&lt;bytecode 0x4ffee879&gt;) "---" "---" "type ascii" ni=
l nil nil) nil)</span><br></blockquote></blockquote><blockquote type=3D"cite=
"><span></span><br></blockquote><blockquote type=3D"cite"><span>Looks like t=
he ange-ftp process is not assigned to the proper thread. As</span><br></blo=
ckquote><blockquote type=3D"cite"><span>said, ange-ftp is a special case, it=
 wasn't handled yet.</span><br></blockquote><blockquote type=3D"cite"><span>=
</span><br></blockquote><blockquote type=3D"cite"><span>I've pushed a fix to=
 the feature/tramp-thread-safe branch; should work</span><br></blockquote><b=
lockquote type=3D"cite"><span>now. Could you pls retest?</span><br></blockqu=
ote><blockquote type=3D"cite"><span></span><br></blockquote><blockquote type=
=3D"cite"><blockquote type=3D"cite"><span>I haven't tried threaded tramp tha=
t requires user-interaction yet</span><br></blockquote></blockquote><blockqu=
ote type=3D"cite"><blockquote type=3D"cite"><span>though since I got ~/.auth=
info.gpg working with ange-ftp, I'll see if</span><br></blockquote></blockqu=
ote><blockquote type=3D"cite"><blockquote type=3D"cite"><span>I can test tha=
t this week</span><br></blockquote></blockquote><blockquote type=3D"cite"><s=
pan></span><br></blockquote><blockquote type=3D"cite"><span>Likely, this won=
't work. Nobody has provided a fix for this problem, yet.</span><br></blockq=
uote><blockquote type=3D"cite"><span></span><br></blockquote><blockquote typ=
e=3D"cite"><blockquote type=3D"cite"><span>Regards</span><br></blockquote></=
blockquote><blockquote type=3D"cite"><blockquote type=3D"cite"><span>Christi=
an</span><br></blockquote></blockquote><blockquote type=3D"cite"><span></spa=
n><br></blockquote><blockquote type=3D"cite"><span>Best regards, Michael.</s=
pan><br></blockquote></div></blockquote></body></html>=

--Apple-Mail-E13DD021-9FAE-40F3-ACF3-4669E23A2C9D--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 5 Nov 2018 15:39:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 10:39:53 2018
Received: from localhost ([127.0.0.1]:35456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJgyn-0003nP-0e
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 10:39:53 -0500
Received: from cvj.se ([31.192.230.63]:48255)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gJgyj-0003nE-Rz
 for 33135 <at> debbugs.gnu.org; Mon, 05 Nov 2018 10:39:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=To:References:Message-Id:Content-Transfer-Encoding:Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type;
 bh=id87vfJzo+e2nbhdA5BDq1U31dWiLH1hLSPN/ITojvI=; 
 b=XSA2dV+neeyr9l3LZdVR4m4fY3YxzXIHGQ3Sbr/vOUuRes5rAqCyApugm25PM3wt1DNMtq+wTWm6ze3N8PP5TiSyMqYBS9cz68Y1P2SEGhHIt07KQ38u0m44Oz1zxfu4T/uEvZvVmiCTMdfP7ZH76jLHgUwa5x4FFQMniiWNLuY=;
Received: from m77-218-249-95.cust.tele2.se ([77.218.249.95]
 helo=[100.84.249.95])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gJgyh-00026W-Tl; Mon, 05 Nov 2018 16:39:48 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
From: Christian Johansson <christian@HIDDEN>
X-Mailer: iPhone Mail (16A404)
In-Reply-To: <874lcv1vo4.fsf@HIDDEN>
Date: Mon, 5 Nov 2018 16:39:40 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <22698038-514D-48FF-89AA-EDB24984BEB0@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
 <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> <874lcv1vo4.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alright, I=E2=80=99ll see if I can get the error again. I only got it like 2=
 times in 8 hours so it=E2=80=99s not frequent.

I tried user-interaction via threaded ange-ftp  tramp on macOS and it seems t=
o work on your branch. I will try it a bit more this week.

Regards
Christian

> 5 nov. 2018 kl. 14:49 skrev Michael Albinus <michael.albinus@HIDDEN>:
>=20
> Christian Johansson <christian@HIDDEN> writes:
>=20
>> Hi Michael
>=20
> Hi Christian,
>=20
>> I haven't experienced a single crash since I started using your
>> threaded tramp branch but I sometimes get errors like this, but it
>> doesn't make Emacs crash, I can just retry same operation and it will
>> work. It seems like sometimes a thread is busy and Emacs tries to
>> access it in some way and this error occurs, I have replaced sensitive
>> information with --- below
>>=20
>> Debugger entered--Lisp error: (error "Attempt to accept output from
>> process *ftp ---...")
>>   accept-process-output(#<process *ftp ---@---*>)
>>   ange-ftp-wait-not-busy(#<process *ftp ---@---*>)
>>   ange-ftp-raw-send-cmd(#<process *ftp ---@---*> "type ascii" nil
>> (#f(compiled-function (result line host user cmd msg cont nowait)
>> #<bytecode 0x4ffee879>) "---" "---" "type ascii" nil nil nil) nil)
>=20
> Looks like the ange-ftp process is not assigned to the proper thread. As
> said, ange-ftp is a special case, it wasn't handled yet.
>=20
> I've pushed a fix to the feature/tramp-thread-safe branch; should work
> now. Could you pls retest?
>=20
>> I haven't tried threaded tramp that requires user-interaction yet
>> though since I got ~/.authinfo.gpg working with ange-ftp, I'll see if
>> I can test that this week
>=20
> Likely, this won't work. Nobody has provided a fix for this problem, yet.
>=20
>> Regards
>> Christian
>=20
> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 5 Nov 2018 13:49:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 08:49:51 2018
Received: from localhost ([127.0.0.1]:34698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJfGJ-00011M-Ev
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 08:49:51 -0500
Received: from mout.gmx.net ([212.227.15.19]:43797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gJfGI-000119-38
 for 33135 <at> debbugs.gnu.org; Mon, 05 Nov 2018 08:49:50 -0500
Received: from detlef.gmx.de ([212.86.62.173]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M3AzH-1fUrgh2JhX-00swlO; Mon, 05
 Nov 2018 14:49:32 +0100
Received: from detlef.gmx.de ([212.86.62.173]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M3AzH-1fUrgh2JhX-00swlO; Mon, 05
 Nov 2018 14:49:32 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
 <87d0ryqv9a.fsf@HIDDEN> <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
Date: Mon, 05 Nov 2018 14:49:31 +0100
In-Reply-To: <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN> (Christian
 Johansson's message of "Mon, 5 Nov 2018 07:03:10 +0100")
Message-ID: <874lcv1vo4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:HNy+8OaZIdaCb4cmtLFfBN3OqfBDzBVSztXV2lKfRwSRPTG7b/d
 Xbw/NQRcZRBFvOL2V8eNbCGCIBsIXPayeYctDql8Y60Lh9dAX3PLr9mk/JJ86sYa2B1XTUq
 bqtuG+TNIYZlMLsIFJFMf55F0tkgLqZjkzP4gq+mig4PoAqZzSsXGK8VoS6UyJpuihNeHtj
 TG4r+tPY0xU3WXrn9EQHA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:6/zK+UfpsZQ=:3srH0gglCiCVVh8TUOToLb
 dUNuMIJxslRu9fviFsOWIkk9P3CUm82D8APrY4+WgR6iYOnjyeulC9H69dx9Jg4pY/Nz1wwOP
 CxHjoxqKssUKpq9/r+FH9JY+N6/nDj1LhkISul/rrWDlmu5qXrFHzAx3F6E7Bx0dZTYBD7Wvh
 AuCm21y0VJBDa+0Z+OBlG03IgpumEi+yPfMDyDjUWgnUlzNecrZznHyvIXcR83EWqWl5NabDJ
 QQfarrZ5Mca83RwxHs1oMt8P1bwTEzQffGVUDrqEFR1XZ6FHarO2an9RYzP9nDU4Ca8tfSadM
 qr8Y/KUku2RN3XIXC6CJwPPoQfxvkvnJOgWcUcgR/cVL2QD6P/p7aShjC6sgqjjZ/qNfI4OVE
 68yrT8fAtL3+tLMT8Vwmm/FJwrAuGVGEllH+xmm3hLC70vKlZmIxM/izopMI6fOJPXNM78NRW
 CxvSs030vHK3Wjn0zjRLJn2R8qoZsYhw2SdK/ehu8p8hUhBdlc2ERgX40hI7HvatDIiFuX+d8
 ombEAS0cb8QqTkbbmhmm/X5QBCKAKW81NoqOTiVqm+UTsal1Uk+6NsT7b4fs0janABtuu+fcS
 yTseITTMZnrUbHgSREfKqCzc19UEftYPsjvZ+iGauAkXuYl1fCZDdDri5KLKFA3z+AaS9z08n
 wvDh2dEtYMLJLRjFhUXwJQfEH6JaUsUL2cK9KOdbxGG0rqleBNSHJYAEvlyoc81OTnX/aFjzW
 UzephFjOzYNVtUy5zxdKGpTJXOKiyeo55uES32eI6Adxpm94W5rz45jqY/ZFSAuKsDHZa0KRR
 ibyX8zg14rlANIv8rHgNOhtnoyUmimGUuGFur0LcZ40Gyg/hNI=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

> Hi Michael

Hi Christian,

> I haven't experienced a single crash since I started using your
> threaded tramp branch but I sometimes get errors like this, but it
> doesn't make Emacs crash, I can just retry same operation and it will
> work. It seems like sometimes a thread is busy and Emacs tries to
> access it in some way and this error occurs, I have replaced sensitive
> information with --- below
>
> Debugger entered--Lisp error: (error "Attempt to accept output from
> process *ftp ---...")
> =C2=A0 accept-process-output(#<process *ftp ---@---*>)
> =C2=A0 ange-ftp-wait-not-busy(#<process *ftp ---@---*>)
> =C2=A0 ange-ftp-raw-send-cmd(#<process *ftp ---@---*> "type ascii" nil
> (#f(compiled-function (result line host user cmd msg cont nowait)
> #<bytecode 0x4ffee879>) "---" "---" "type ascii" nil nil nil) nil)

Looks like the ange-ftp process is not assigned to the proper thread. As
said, ange-ftp is a special case, it wasn't handled yet.

I've pushed a fix to the feature/tramp-thread-safe branch; should work
now. Could you pls retest?

> I haven't tried threaded tramp that requires user-interaction yet
> though since I got ~/.authinfo.gpg working with ange-ftp, I'll see if
> I can test that this week

Likely, this won't work. Nobody has provided a fix for this problem, yet.

> Regards
> Christian

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 5 Nov 2018 06:03:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 01:03:21 2018
Received: from localhost ([127.0.0.1]:34518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJXyr-0004Vv-DH
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 01:03:21 -0500
Received: from cvj.se ([31.192.230.63]:55534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gJXyp-0004Vm-A1
 for 33135 <at> debbugs.gnu.org; Mon, 05 Nov 2018 01:03:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:References:Cc:To:Subject;
 bh=YdTe9ccDxwYh65bD+UV7ZcAHwjXsq238OoLO8g0WtAU=; 
 b=DIgwlgOSsmSnBCf7YQmvQLII8sopNFcTKBFhZ4SizoGw+tnGnQGrvegjiFQ2D686cvoHTke+S0Cq+X3YtNML97jIQ9oO3bkDz/u/fF1/3KfHfJt1QkzF/aZsVqikWpf31FWIBtu4PJ+HVnwifB5hQFQPJ7gFPQa76jJ3teASsVU=;
Received: from m77-218-241-137.cust.tele2.se ([77.218.241.137]
 helo=Christians-MacBook-Air.local)
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gJXyn-0001yV-Oc; Mon, 05 Nov 2018 07:03:18 +0100
Subject: Re: bug#33135: 27.0.50; (make-thread) TRAMP interactive freeze macOS
 10.14
To: Michael Albinus <michael.albinus@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
 <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> <87d0ryqv9a.fsf@HIDDEN>
From: Christian Johansson <christian@HIDDEN>
Message-ID: <a374dd9b-d3b3-1f06-78d9-4f6d8a25c12e@HIDDEN>
Date: Mon, 5 Nov 2018 07:03:10 +0100
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0)
 Gecko/20100101 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <87d0ryqv9a.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Michael

I haven't experienced a single crash since I started using your threaded 
tramp branch but I sometimes get errors like this, but it doesn't make 
Emacs crash, I can just retry same operation and it will work. It seems 
like sometimes a thread is busy and Emacs tries to access it in some way 
and this error occurs, I have replaced sensitive information with --- below

Debugger entered--Lisp error: (error "Attempt to accept output from 
process *ftp ---...")
   accept-process-output(#<process *ftp ---@---*>)
   ange-ftp-wait-not-busy(#<process *ftp ---@---*>)
   ange-ftp-raw-send-cmd(#<process *ftp ---@---*> "type ascii" nil 
(#f(compiled-function (result line host user cmd msg cont nowait) 
#<bytecode 0x4ffee879>) "---" "---" "type ascii" nil nil nil) nil)

I haven't tried threaded tramp that requires user-interaction yet though 
since I got ~/.authinfo.gpg working with ange-ftp, I'll see if I can 
test that this week

Regards
Christian

On 2018-10-25 10:35, Michael Albinus wrote:
> Christian Johansson <christian@HIDDEN> writes:
>
>> Hi Michael
> Hi Christian,
>
>> Alright, I'll check out that branch and continue testing
>> here. Asynchronous TRAMP via FTP/SSH without user-interaction seems to
>> work on master branch most of the time
> The simple case: yes. It will be more interesting if you visit several
> (many!) files in parallel. My usual test case is "C-x & C-x C-f
> /ssh::~/src/emacs-test/admin/*.el" ("~/src/emacs" is the location of the
> Emacs repository on my machine).
>
> You might also open a second frame in parallel, and run "M-x list-threads"
> there. This will show you how threads evolve.
>
> If you want to know more about asynchronous file visiting, you might
> consult (info "(emacs) Visiting") in the feature/tramp-thread-safe branch.
>
>> but I have experienced some occasional crashes that you don't get when
>> running synchronously. Will start Emacs from my terminal to see if I
>> get any errors there if it crashes
> Yes, pls report.
>
>> Regards
>> Christian
> Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 25 Oct 2018 08:35:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 25 04:35:32 2018
Received: from localhost ([127.0.0.1]:41195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gFb76-00027I-N4
	for submit <at> debbugs.gnu.org; Thu, 25 Oct 2018 04:35:32 -0400
Received: from mout.gmx.net ([212.227.15.19]:51383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gFb75-000273-Jf
 for 33135 <at> debbugs.gnu.org; Thu, 25 Oct 2018 04:35:32 -0400
Received: from detlef.gmx.de ([212.91.243.74]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MZCUG-1g1Nc613Lo-00KvLJ; Thu, 25
 Oct 2018 10:35:14 +0200
Received: from detlef.gmx.de ([212.91.243.74]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MZCUG-1g1Nc613Lo-00KvLJ; Thu, 25
 Oct 2018 10:35:14 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
 <871s8fd2e3.fsf@HIDDEN> <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
Date: Thu, 25 Oct 2018 10:35:13 +0200
In-Reply-To: <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN> (Christian
 Johansson's message of "Thu, 25 Oct 2018 07:08:58 +0200")
Message-ID: <87d0ryqv9a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:FZ4xhLsNwWJthfGCtEPkYW6YX7zZxEDD4QcHoLanNRrFQCfoTrv
 bYlR516pbhNySMlku8fP0GljtBUlC9ab1z6waR9wPkIZ1/YpwLrPteAKENJ/v25DM2111VH
 ZLgjyYToCvl+rLC0aJsqnvlKUtFLKz8lkyP6y8MzWsdT0XG89eqsw7RJVmi/uaFJJq4dzR0
 vGtY7Mvn7NdTDVXtROlaA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:G2hxuj2oRzs=:gzB/s+Ho9PgOVEuaQaIX4Y
 MxqdFkIYGHYGN+0C2s/DWhkCTU6srpzBzIJiIzdHR121Mqq2wytAlptoS9vcNIZPq6+jqZTO1
 LwtaPnvsoKA9jNZ1SAnSxWc1z8YQ7A4qcIdXbLE3L9/g0jIaB0IAdsXXBmjF3e6AmVXBSRVD3
 TNA9m8XQQN3UNF2IUNFzIGbG8hdx4/RRXn4UW0o68A8WJFjSoAbw3ZZwAWiZ1CASu6gR3oCAu
 PyT0uNm5SzbtQ/h7nhjK9RXYGw8F7RF98PQQa3b2c9SLL6Yu9zu7fesj17JwrT1Zu70dpkJER
 KsFFS684b5np8/B8j+WRC3WQwgLc/ZIkSCxjxbDm4G9DLI9SPh901WmvsYdBbh6rujkINiKzE
 yzLe8T8KNIop+DBqocXkNMlOsjfwU0UiSZdBw5Jg85wiG/YcOhsVQ3luvQAgPseVJE9RsWw+a
 8CqeLxdZENr/00pduC58KCDMmNVnB/j+hytziExKd77jvoJCP4PtcYwHp4kLfr7SiSpzthQ4e
 gkzwVeLO5KuVQRaulRS2uAKvJ+v/gozGBDPq0/YzGB4JORqo0Cwq6Vlq1FzJAfcZ6G+auXOAD
 AaS1uwmuOeUyiNuRA1FFZXQlwlzBHy6h5aNYOTAd0f0yqx5UJT2XXJYrg8p0bN9GepI5kvk54
 /ZWQ9Bh/ka7yP+UfLKZ0w7aff6tmaETSVR7ZFT6TNIPJ9iz5jkzMUmZVqQlgZqKcy5YHxzVrq
 +NrDUPHthGkKSt23HG1R/V57/FARXJZZRMAHyNoC7DOeLaNy24d23ocTOj/7s0RZjgSUooV0x
 nwsmLQbgQ/xdq3EbXRJh+xE3aGY9w6E10IPb0JC+BTFon1xuZo=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org, Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Christian Johansson <christian@HIDDEN> writes:

> Hi Michael

Hi Christian,

> Alright, I'll check out that branch and continue testing
> here. Asynchronous TRAMP via FTP/SSH without user-interaction seems to
> work on master branch most of the time

The simple case: yes. It will be more interesting if you visit several
(many!) files in parallel. My usual test case is "C-x & C-x C-f
/ssh::~/src/emacs-test/admin/*.el" ("~/src/emacs" is the location of the
Emacs repository on my machine).

You might also open a second frame in parallel, and run "M-x list-threads"
there. This will show you how threads evolve.

If you want to know more about asynchronous file visiting, you might
consult (info "(emacs) Visiting") in the feature/tramp-thread-safe branch.

> but I have experienced some occasional crashes that you don't get when
> running synchronously. Will start Emacs from my terminal to see if I
> get any errors there if it crashes

Yes, pls report.

> Regards
> Christian

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 25 Oct 2018 05:09:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 25 01:09:10 2018
Received: from localhost ([127.0.0.1]:41132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gFXtN-0005Wm-WF
	for submit <at> debbugs.gnu.org; Thu, 25 Oct 2018 01:09:10 -0400
Received: from cvj.se ([31.192.230.63]:48381)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gFXtM-0005We-Eq
 for 33135 <at> debbugs.gnu.org; Thu, 25 Oct 2018 01:09:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:References:Cc:To:Subject;
 bh=J4zpzVrVRIj6QL8M24NL8VFpI0Td0y3Ju7NY8xAFIpk=; 
 b=hirh/kn/mP+IYHKJopFm9SDV4s1jyzqBzF6IF4YUgINx9rKGC6DfvQ6BUPT/LNHHGwAm1B1q8XUdYodNZQq8L+HynL16jlS/mSQ0sgmtQTVnrl9GBCKrIKrqVnpfll3YBupnNURwgr+I1BYhG19vOFvAdMmKni6q4OrESF2Py6w=;
Received: from m77-218-242-231.cust.tele2.se ([77.218.242.231]
 helo=Christians-MacBook-Air.local)
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gFXtK-0000OU-1f; Thu, 25 Oct 2018 07:09:07 +0200
Subject: Re: bug#33135: 27.0.50; (make-thread) TRAMP interactive freeze macOS
 10.14
To: Michael Albinus <michael.albinus@HIDDEN>, Alan Third <alan@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN> <871s8fd2e3.fsf@HIDDEN>
From: Christian Johansson <christian@HIDDEN>
Message-ID: <c4c3c1f2-9cc3-f5a0-89f3-c9110f35682a@HIDDEN>
Date: Thu, 25 Oct 2018 07:08:58 +0200
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0)
 Gecko/20100101 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <871s8fd2e3.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Michael

Alright, I'll check out that branch and continue testing here. 
Asynchronous TRAMP via FTP/SSH without user-interaction seems to work on 
master branch most of the time but I have experienced some occasional 
crashes that you don't get when running synchronously. Will start Emacs 
from my terminal to see if I get any errors there if it crashes

Regards
Christian

On 2018-10-24 13:12, Michael Albinus wrote:
> Alan Third <alan@HIDDEN> writes:
>
>>> Hi!
> Hi,
>
>>> Steps to reproduce:
>>> 1. Open Emacs without any configuration: src/emacs -Q
>>> 2. Make sure you are in *scratch* buffer
>>> 3. Paste following Emacs Lisp code:
>>>
>>> ;; FTP URL: ftp.dlptest.com or ftp://ftp.dlptest.com/
>>> ;; FTP User: dlpuser@HIDDEN
>>> ;; Password: e73jzTRTNqCN9PYAAjjn
>>> (make-thread (lambda()
>>>                 (message "Listing directory files..")
>>>                 (let ((files (directory-files
>>> "/ftp:dlpuser@HIDDEN@ftp.dlptest.com:/")))
>>>                   (message "Opened directory")
>>>                   (message "Directory files: %s" files))))
>>>
>>> 4. Run M-x eval-buffer
>>> 5. Emacs asks for FTP password, paste in mini-buffer: e73jzTRTNqCN9PYAAjjn
>>> 6. Emacs now hangs, asks for password again and you can't stop it using C-g.
>>> You get error in terminal:
>> The NS port currently doesn’t handle interactive functions from
>> threads very well. I suspect the problem is being caused by displaying
>> a message from the background thread.
> It's not only the NS port. There is a git branch
> feature/tramp-thread-safe dedicated to make Tramp thread-safe. However,
> this doesn't work well yet, see for example bug#25214 / bug#32426.
>
> Furthermore, the "ftp" method navigates from Tramp to Ange-FTP. I
> haven't tested this for being thread-safe; given that nobody has worked
> on this I would expect even more problems.
>
> Anyway, if you intend to continue to test this functionality, I
> recommend you to use the said branch. There are changes which make file
> visiting commands async aware, via a prefix command.  "C-x & C-x C-f ..."
> is supposed to visit files asynchronously. This works for both local
> files and remote files; but for local files you'll see the difference
> for large files only.
>
> Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 25 Oct 2018 05:03:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 25 01:03:15 2018
Received: from localhost ([127.0.0.1]:41128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gFXnf-0005Ic-5N
	for submit <at> debbugs.gnu.org; Thu, 25 Oct 2018 01:03:15 -0400
Received: from cvj.se ([31.192.230.63]:46113)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gFXnc-0005IT-Ox
 for 33135 <at> debbugs.gnu.org; Thu, 25 Oct 2018 01:03:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:References:Cc:To:Subject;
 bh=SIt4te1cm25fFfLNmecblJZn48SyS8Z3cmnrwJP0pqc=; 
 b=AfAWi2EHzqI1c4R3fYd+6jK/TrWMBJ1tUNVsRMUOJ2ncCkU4sGE3dsh1JB5GKF8ZvAnFziZW/on4xkEOFKjRxV7yCFfKOho9j638I02merSjwQkJxGXIYJFEoiLWMkVq1Wl8g9SD3IHHjUKFWzHZUG6MMG9NJ0kkxMww6MGTOYs=;
Received: from m77-218-242-231.cust.tele2.se ([77.218.242.231]
 helo=Christians-MacBook-Air.local)
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>)
 id 1gFXna-0000BN-Re; Thu, 25 Oct 2018 07:03:11 +0200
Subject: Re: bug#33135: 27.0.50; (make-thread) TRAMP interactive freeze macOS
 10.14
To: Alan Third <alan@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
From: Christian Johansson <christian@HIDDEN>
Message-ID: <e898741e-569e-3144-d3ec-40c51bfe1dcb@HIDDEN>
Date: Thu, 25 Oct 2018 07:03:02 +0200
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0)
 Gecko/20100101 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <20181024105344.GB40431@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alright, I guessed that the threaded user-interaction wasn't completed 
yet, TRAMP without user-interaction seems to work however. Keep up the 
good work. At least it should be easy to test it once it's finished with 
my test. If you access my example without the treading and Emacs saves 
the password it will work inside the thread too I think because there 
will be no need for user-interaction

Regards
Christian

On 2018-10-24 12:53, Alan Third wrote:
> On Wed, Oct 24, 2018 at 12:15:22PM +0200, Christian Johansson wrote:
>> Hi!
>>
>> I am able to reproduce this on two different computers using macOS 10.14 but
>> I haven't tested this on any other system.
>>
>> Steps to reproduce:
>> 1. Open Emacs without any configuration: src/emacs -Q
>> 2. Make sure you are in *scratch* buffer
>> 3. Paste following Emacs Lisp code:
>>
>> ;; FTP URL: ftp.dlptest.com or ftp://ftp.dlptest.com/
>> ;; FTP User: dlpuser@HIDDEN
>> ;; Password: e73jzTRTNqCN9PYAAjjn
>> (make-thread (lambda()
>>                 (message "Listing directory files..")
>>                 (let ((files (directory-files
>> "/ftp:dlpuser@HIDDEN@ftp.dlptest.com:/")))
>>                   (message "Opened directory")
>>                   (message "Directory files: %s" files))))
>>
>> 4. Run M-x eval-buffer
>> 5. Emacs asks for FTP password, paste in mini-buffer: e73jzTRTNqCN9PYAAjjn
>> 6. Emacs now hangs, asks for password again and you can't stop it using C-g.
>> You get error in terminal:
> The NS port currently doesn’t handle interactive functions from
> threads very well. I suspect the problem is being caused by displaying
> a message from the background thread.
>
>> Christians-Air:emacs christianjohansson$ src/emacs -Q
>> 2018-10-24 12:07:58.383 emacs[627:14815] Failed to initialize color list
>> unarchiver: Error Domain=NSCocoaErrorDomain Code=4864 "***
>> -[NSKeyedUnarchiver _initForReadingFromData:error:throwLegacyExceptions:]:
>> non-keyed archive cannot be decoded by NSKeyedUnarchiver"
>> UserInfo={NSDebugDescription=*** -[NSKeyedUnarchiver
>> _initForReadingFromData:error:throwLegacyExceptions:]: non-keyed archive
>> cannot be decoded by NSKeyedUnarchiver}
> This error will be fixed in Emacs 26.2.
>
>> 2018-10-24 12:08:28.515 emacs[627:15311] WARNING: NSWindow drag regions
>> should only be invalidated on the Main Thread! This will throw an exception
>> in the future. Called from (
>>      0   AppKit                              0x00007fff334132e3
>> -[NSWindow(NSWindow_Theme)
>> _postWindowNeedsToResetDragMarginsUnlessPostingDisabled] + 386
>>      1   AppKit                              0x00007fff33435422
>> -[NSThemeFrame _tileTitlebarAndRedisplay:] + 98
>>      2   AppKit                              0x00007fff334604dd
>> -[NSTitledFrame _titleDidChange] + 217
>>      3   AppKit                              0x00007fff3345ff89
>> -[NSTitledFrame setTitle:] + 730
>>      4   AppKit                              0x00007fff3345fc00
>> -[NSThemeFrame setTitle:] + 50
>>      5   AppKit                              0x00007fff33423082 -[NSWindow
>> _dosetTitle:andDefeatWrap:] + 211
>>      6   emacs                               0x00000001001e7371
>> ns_set_name_internal + 161
>>      7   emacs                               0x000000010004f640
>> x_consider_frame_title + 784
>>      8   emacs                               0x0000000100028ad5
>> redisplay_internal + 2949
> <snip>
>>      73  emacs                               0x00000001001b624a run_thread +
>> 138
>>      74  libsystem_pthread.dylib             0x00007fff6316d33d _pthread_body
>> + 126
>>      75  libsystem_pthread.dylib             0x00007fff631702a7
>> _pthread_start + 70
>>      76  libsystem_pthread.dylib             0x00007fff6316c425 thread_start
>> + 13
>> )
> Yes, we can see redisplay is being called from within the thread, and
> that just won’t work currently, I’m afraid.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 24 Oct 2018 11:12:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 24 07:12:58 2018
Received: from localhost ([127.0.0.1]:39121 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gFH5u-00047W-1w
	for submit <at> debbugs.gnu.org; Wed, 24 Oct 2018 07:12:58 -0400
Received: from mout.gmx.net ([212.227.15.15]:59293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gFH5r-00047I-Uj
 for 33135 <at> debbugs.gnu.org; Wed, 24 Oct 2018 07:12:56 -0400
Received: from detlef.gmx.de ([79.140.120.250]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M4WNA-1fNRUI2kXs-00yk72; Wed, 24
 Oct 2018 13:12:38 +0200
Received: from detlef.gmx.de ([79.140.120.250]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M4WNA-1fNRUI2kXs-00yk72; Wed, 24
 Oct 2018 13:12:38 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#33135: 27.0.50;
 (make-thread) TRAMP interactive freeze macOS 10.14
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
 <20181024105344.GB40431@HIDDEN>
Date: Wed, 24 Oct 2018 13:12:36 +0200
In-Reply-To: <20181024105344.GB40431@HIDDEN> (Alan Third's
 message of "Wed, 24 Oct 2018 11:53:44 +0100")
Message-ID: <871s8fd2e3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:MIJY9BA2WiCwdSJVklD1LRalSZLJEQcfsqJhGPJstkspHncvkKU
 NogF9yc0WznNLHFjYnprV/lhWT9IGZ1vZHDAZKybQDRUgwR5dFHD0BQ3oZrAW0NLQGnpwKN
 6cQZ4Jc8YjqD1TSab5oW+YUObiQja/3yoRv5WbEwa02Pot4rkP+RRSfyUFxNw9suRkLQOfa
 JHnEJa4zuQfQUwLNReNYg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:VnDSDQFP02Y=:jS9PYxPdjcRBr9p3IZgUDy
 Jix9h8t1UhT+B8+m0OnzGgsbHtZ+JmK5uqmDzp4kTOHp96J3okDKZF6Us7nWBOmtiqLv4Ops4
 /g4mvQHtkXL1zLlyZOgVWLL6tvCyrtSTBZQTxssel/Kp3+RYLo5HWiYxQ9Y/RTVe1NBI5O8nR
 dpFP2NqwkKpLJ+es1+vO22kumrwosr3CEotBCmWrkxplGIWLoup9TmmC6N1WEIDtpNuRkwPeY
 Rx6+GqvSU9R0h615BruysMweH4xTgxqTt/EzBEP0LplDnoIdAgWKJ10zNX+gTcYYWL0uTAHeb
 o9MP2VlQRFljbG3ZUaoC1xXanfuc52oCIljSk0j5Q7o5LFBzLGDdGLS4mrIRZvlvweByB/S+x
 BQIiAM76+o4OUorrNu/Qlq/c6/Bm5qd36R5idAkom/2QC4I4245y3UkRUGZ2vd9BZol1KTitj
 6OQ1r9Sby6Y7JuMlKB0CKzE11frInHyP0OCIfa1UgCnIie0e0wfyFkkAYufPJa40Zwx0ZF8lW
 a5LOfyjPDRSPzYrXniFXWGAVw9XGFj2MDajNKIHM3xUW0zfuAhPz56zUXEWN6h8Av1qPRcfJ2
 tGEB4PgLCOiuokAWU4RRLxWEwuy833Mf/eYi2IQ+mFtW17LobzbWz+8r7wRICsKa+vzK6nv8S
 gRVdsQajcokdJ05uclTIUTlqheSnGIOJjr7QntCHn6Md06GiG4hfoL6OuWf0rauxD00ng6WrT
 MaLDxRpq0dyIakRE3PpU2J9mGvKWu2iwSGckGiBnNBeKz38pyE1fwtYAuIo6YL1WvyRPdl+hI
 gitzHFO45ltihWlKjGKpMvIaaVBXJlLUWOLspFrymbCuOBbWJ0=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33135
Cc: Christian Johansson <christian@HIDDEN>, 33135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Alan Third <alan@HIDDEN> writes:

>> Hi!

Hi,

>> Steps to reproduce:
>> 1. Open Emacs without any configuration: src/emacs -Q
>> 2. Make sure you are in *scratch* buffer
>> 3. Paste following Emacs Lisp code:
>>=20
>> ;; FTP URL: ftp.dlptest.com or ftp://ftp.dlptest.com/
>> ;; FTP User: dlpuser@HIDDEN
>> ;; Password: e73jzTRTNqCN9PYAAjjn
>> (make-thread (lambda()
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 (message "Listing directory files..")
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 (let ((files (directory-files
>> "/ftp:dlpuser@HIDDEN@ftp.dlptest.com:/")))
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0 (message "Opened directory")
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0 (message "Directory files: %s" files))))
>>=20
>> 4. Run M-x eval-buffer
>> 5. Emacs asks for FTP password, paste in mini-buffer: e73jzTRTNqCN9PYAAj=
jn
>> 6. Emacs now hangs, asks for password again and you can't stop it using =
C-g.
>> You get error in terminal:
>
> The NS port currently doesn=E2=80=99t handle interactive functions from
> threads very well. I suspect the problem is being caused by displaying
> a message from the background thread.

It's not only the NS port. There is a git branch
feature/tramp-thread-safe dedicated to make Tramp thread-safe. However,
this doesn't work well yet, see for example bug#25214 / bug#32426.

Furthermore, the "ftp" method navigates from Tramp to Ange-FTP. I
haven't tested this for being thread-safe; given that nobody has worked
on this I would expect even more problems.

Anyway, if you intend to continue to test this functionality, I
recommend you to use the said branch. There are changes which make file
visiting commands async aware, via a prefix command.  "C-x & C-x C-f ..."
is supposed to visit files asynchronously. This works for both local
files and remote files; but for local files you'll see the difference
for large files only.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at 33135 <at> debbugs.gnu.org:


Received: (at 33135) by debbugs.gnu.org; 24 Oct 2018 10:53:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 24 06:53:55 2018
Received: from localhost ([127.0.0.1]:39104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gFGnT-0003dS-CQ
	for submit <at> debbugs.gnu.org; Wed, 24 Oct 2018 06:53:55 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:35083)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1gFGnR-0003dB-67
 for 33135 <at> debbugs.gnu.org; Wed, 24 Oct 2018 06:53:53 -0400
Received: by mail-wr1-f46.google.com with SMTP id w5-v6so5075001wrt.2
 for <33135 <at> debbugs.gnu.org>; Wed, 24 Oct 2018 03:53:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=rYBYBi0K6JtKSPnfT+++FzALj4Z6DmPnp8p+w48Mv1k=;
 b=GHj+OEJt7Yc6rR4icx2rYlVYKOcXumc5QzT299TSttVXVF8MXybkVjjVojRkkW6SCq
 8D7jM0IWJqW87T4o2WouazPPFsRWQElNKDbBFUEMqq+w6PrbziKJQKG8BZVs4bKJcRRv
 k25tjWl1YbGWrURUcLma7sN1cNcqjVmgfDU/6YdeIWO2T8PLaDOXPRK+CKi80bnn2wHs
 a1gbhW/l8qvs1UFzLwrDIPkquY54wrtOcEX5/r8pwU2Z7hlIwpUs4Lj4XNaXTttbp5hj
 VMFkzBn8KjcSMeBe6HEWl7Gl1Yaz7GhT9ymIacWRftj8KUSIwx6JixPVfqqaasd+vAzv
 Pbgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=rYBYBi0K6JtKSPnfT+++FzALj4Z6DmPnp8p+w48Mv1k=;
 b=APLLwHYsEMhGn2oXQadvXtu89eyPblHIXMdYuRQJPbaAIbgQbyGZSzms5/U5K6Ud4n
 wTBdrhYlET2XEsl9xx1YldF99ce/kWRciBOWLAHJ/eljWOmopWckshr/dR5SZw+bSYAL
 Mq6ljXuHkmUSparRgbXeWJHPRld3NtFOBEaAqibq2qnOyhqwWDDKUKQFDpiSXjEvr9kD
 BHTQtJUyA5th9/rufeOSxVs4ycMTJ5kWYGYEV+YtFzM7VzptyHNZlMRXmmqMFks6637m
 LbHuHC/QVm6tLIR04323T1UCz98uChr1/6uy5Vi5MPe3GHoH8ztHq2zjJEHbrLCRBZdY
 J8AA==
X-Gm-Message-State: AGRZ1gLhDO1S7bfRwcU7sCUdIcbzA/6yA/R8+Z5T392+iCjcujfjExHh
 oI3aIKRziAHmF27zVpFE8NTO3XPv
X-Google-Smtp-Source: AJdET5ctcyw7HEw2XRxAE96Y76Fj9HCpH6KBExYO975Lw1btZIxONno+j8UyN/GyiHcI6+efYMvYzg==
X-Received: by 2002:a5d:410d:: with SMTP id l13-v6mr766045wrp.61.1540378427266; 
 Wed, 24 Oct 2018 03:53:47 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-a9a7-73e3-89ce-d96b.holly.idiocy.org.
 [2001:8b0:3f8:8129:a9a7:73e3:89ce:d96b])
 by smtp.gmail.com with ESMTPSA id 191-v6sm5553236wmk.30.2018.10.24.03.53.45
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Oct 2018 03:53:46 -0700 (PDT)
Date: Wed, 24 Oct 2018 11:53:44 +0100
From: Alan Third <alan@HIDDEN>
To: Christian Johansson <christian@HIDDEN>
Subject: Re: bug#33135: 27.0.50; (make-thread) TRAMP interactive freeze macOS
 10.14
Message-ID: <20181024105344.GB40431@HIDDEN>
References: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 33135
Cc: 33135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Wed, Oct 24, 2018 at 12:15:22PM +0200, Christian Johansson wrote:
> Hi!
> 
> I am able to reproduce this on two different computers using macOS 10.14 but
> I haven't tested this on any other system.
> 
> Steps to reproduce:
> 1. Open Emacs without any configuration: src/emacs -Q
> 2. Make sure you are in *scratch* buffer
> 3. Paste following Emacs Lisp code:
> 
> ;; FTP URL: ftp.dlptest.com or ftp://ftp.dlptest.com/
> ;; FTP User: dlpuser@HIDDEN
> ;; Password: e73jzTRTNqCN9PYAAjjn
> (make-thread (lambda()
>                (message "Listing directory files..")
>                (let ((files (directory-files
> "/ftp:dlpuser@HIDDEN@ftp.dlptest.com:/")))
>                  (message "Opened directory")
>                  (message "Directory files: %s" files))))
> 
> 4. Run M-x eval-buffer
> 5. Emacs asks for FTP password, paste in mini-buffer: e73jzTRTNqCN9PYAAjjn
> 6. Emacs now hangs, asks for password again and you can't stop it using C-g.
> You get error in terminal:

The NS port currently doesn’t handle interactive functions from
threads very well. I suspect the problem is being caused by displaying
a message from the background thread.

> Christians-Air:emacs christianjohansson$ src/emacs -Q
> 2018-10-24 12:07:58.383 emacs[627:14815] Failed to initialize color list
> unarchiver: Error Domain=NSCocoaErrorDomain Code=4864 "***
> -[NSKeyedUnarchiver _initForReadingFromData:error:throwLegacyExceptions:]:
> non-keyed archive cannot be decoded by NSKeyedUnarchiver"
> UserInfo={NSDebugDescription=*** -[NSKeyedUnarchiver
> _initForReadingFromData:error:throwLegacyExceptions:]: non-keyed archive
> cannot be decoded by NSKeyedUnarchiver}

This error will be fixed in Emacs 26.2.

> 2018-10-24 12:08:28.515 emacs[627:15311] WARNING: NSWindow drag regions
> should only be invalidated on the Main Thread! This will throw an exception
> in the future. Called from (
>     0   AppKit                              0x00007fff334132e3
> -[NSWindow(NSWindow_Theme)
> _postWindowNeedsToResetDragMarginsUnlessPostingDisabled] + 386
>     1   AppKit                              0x00007fff33435422
> -[NSThemeFrame _tileTitlebarAndRedisplay:] + 98
>     2   AppKit                              0x00007fff334604dd
> -[NSTitledFrame _titleDidChange] + 217
>     3   AppKit                              0x00007fff3345ff89
> -[NSTitledFrame setTitle:] + 730
>     4   AppKit                              0x00007fff3345fc00
> -[NSThemeFrame setTitle:] + 50
>     5   AppKit                              0x00007fff33423082 -[NSWindow
> _dosetTitle:andDefeatWrap:] + 211
>     6   emacs                               0x00000001001e7371
> ns_set_name_internal + 161
>     7   emacs                               0x000000010004f640
> x_consider_frame_title + 784
>     8   emacs                               0x0000000100028ad5
> redisplay_internal + 2949
<snip>
>     73  emacs                               0x00000001001b624a run_thread +
> 138
>     74  libsystem_pthread.dylib             0x00007fff6316d33d _pthread_body
> + 126
>     75  libsystem_pthread.dylib             0x00007fff631702a7
> _pthread_start + 70
>     76  libsystem_pthread.dylib             0x00007fff6316c425 thread_start
> + 13
> )

Yes, we can see redisplay is being called from within the thread, and
that just won’t work currently, I’m afraid.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Oct 2018 10:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 24 06:16:58 2018
Received: from localhost ([127.0.0.1]:39080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gFGDh-0002ig-4q
	for submit <at> debbugs.gnu.org; Wed, 24 Oct 2018 06:16:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christian@HIDDEN>) id 1gFGDe-0002iT-T3
 for submit <at> debbugs.gnu.org; Wed, 24 Oct 2018 06:16:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <christian@HIDDEN>) id 1gFGDY-0006iK-1o
 for submit <at> debbugs.gnu.org; Wed, 24 Oct 2018 06:16:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40321)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <christian@HIDDEN>) id 1gFGDX-0006iG-UL
 for submit <at> debbugs.gnu.org; Wed, 24 Oct 2018 06:16:47 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50170)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <christian@HIDDEN>) id 1gFGDV-0002XD-VH
 for bug-gnu-emacs@HIDDEN; Wed, 24 Oct 2018 06:16:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <christian@HIDDEN>) id 1gFGDS-0006fH-O9
 for bug-gnu-emacs@HIDDEN; Wed, 24 Oct 2018 06:16:45 -0400
Received: from cvj.se ([31.192.230.63]:58298)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <christian@HIDDEN>) id 1gFGDS-0006YD-7U
 for bug-gnu-emacs@HIDDEN; Wed, 24 Oct 2018 06:16:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=cvj.se; s=x;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Date:Message-ID:Subject:From:To;
 bh=7P95RcwN609ZN2K5YTO0CmaCLHwKN3I8ZMikwndsm4Q=; 
 b=nZNjzfxpQFyXKP7vi63iDPrHibGfroBMQfJdC+BTbmOhvA9UEzRc5nTmtUa8D4OPaZmeUT6EXD2Xy5xHqHrhWEdkXiIH+dCVVTJw44nY+AqgxjmVKr104YoPo8vhqStSPZqv/JKCz2qlYTMxDk26Ra8JLfvQpib0X7bVlc+Zat8=;
Received: from g238.broadband3.quicknet.se ([46.17.190.238]
 helo=[192.168.1.160])
 by cvj.se with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <christian@HIDDEN>) id 1gFGCH-0004fU-Pn
 for bug-gnu-emacs@HIDDEN; Wed, 24 Oct 2018 12:15:30 +0200
To: bug-gnu-emacs@HIDDEN
From: Christian Johansson <christian@HIDDEN>
Subject: 27.0.50; (make-thread) TRAMP interactive freeze macOS 10.14
Message-ID: <a6406957-5102-7de8-e33a-3cf2286f3baa@HIDDEN>
Date: Wed, 24 Oct 2018 12:15:22 +0200
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0)
 Gecko/20100101 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

Hi!

I am able to reproduce this on two different computers using macOS 10.14 
but I haven't tested this on any other system.

Steps to reproduce:
1. Open Emacs without any configuration: src/emacs -Q
2. Make sure you are in *scratch* buffer
3. Paste following Emacs Lisp code:

;; FTP URL: ftp.dlptest.com or ftp://ftp.dlptest.com/
;; FTP User: dlpuser@HIDDEN
;; Password: e73jzTRTNqCN9PYAAjjn
(make-thread (lambda()
                (message "Listing directory files..")
                (let ((files (directory-files 
"/ftp:dlpuser@HIDDEN@ftp.dlptest.com:/")))
                  (message "Opened directory")
                  (message "Directory files: %s" files))))

4. Run M-x eval-buffer
5. Emacs asks for FTP password, paste in mini-buffer: e73jzTRTNqCN9PYAAjjn
6. Emacs now hangs, asks for password again and you can't stop it using 
C-g. You get error in terminal:

Christians-Air:emacs christianjohansson$ src/emacs -Q
2018-10-24 12:07:58.383 emacs[627:14815] Failed to initialize color list 
unarchiver: Error Domain=NSCocoaErrorDomain Code=4864 "*** 
-[NSKeyedUnarchiver 
_initForReadingFromData:error:throwLegacyExceptions:]: non-keyed archive 
cannot be decoded by NSKeyedUnarchiver" UserInfo={NSDebugDescription=*** 
-[NSKeyedUnarchiver 
_initForReadingFromData:error:throwLegacyExceptions:]: non-keyed archive 
cannot be decoded by NSKeyedUnarchiver}
2018-10-24 12:08:28.515 emacs[627:15311] WARNING: NSWindow drag regions 
should only be invalidated on the Main Thread! This will throw an 
exception in the future. Called from (
     0   AppKit                              0x00007fff334132e3 
-[NSWindow(NSWindow_Theme) 
_postWindowNeedsToResetDragMarginsUnlessPostingDisabled] + 386
     1   AppKit                              0x00007fff33435422 
-[NSThemeFrame _tileTitlebarAndRedisplay:] + 98
     2   AppKit                              0x00007fff334604dd 
-[NSTitledFrame _titleDidChange] + 217
     3   AppKit                              0x00007fff3345ff89 
-[NSTitledFrame setTitle:] + 730
     4   AppKit                              0x00007fff3345fc00 
-[NSThemeFrame setTitle:] + 50
     5   AppKit                              0x00007fff33423082 
-[NSWindow _dosetTitle:andDefeatWrap:] + 211
     6   emacs                               0x00000001001e7371 
ns_set_name_internal + 161
     7   emacs                               0x000000010004f640 
x_consider_frame_title + 784
     8   emacs                               0x0000000100028ad5 
redisplay_internal + 2949
     9   emacs                               0x00000001000d1e71 
read_char + 2097
     10  emacs                               0x00000001000cfc1d 
read_key_sequence + 1997
     11  emacs                               0x00000001000ce30c 
command_loop_1 + 1228
     12  emacs                               0x000000010014d103 
internal_condition_case + 259
     13  emacs                               0x00000001000dd400 
command_loop_2 + 48
     14  emacs                               0x000000010014c727 
internal_catch + 263
     15  emacs                               0x00000001000cd338 
command_loop + 200
     16  emacs                               0x00000001000cd220 
recursive_edit_1 + 112
     17  emacs                               0x00000001000fbc33 
read_minibuf + 2179
     18  emacs                               0x00000001000fc0ca 
Fread_string + 250
     19  emacs                               0x000000010014f831 
funcall_subr + 353
     20  emacs                               0x000000010014ebc8 Ffuncall 
+ 792
     21  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     22  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     23  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     24  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     25  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     26  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     27  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     28  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     29  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     30  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     31  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     32  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     33  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     34  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     35  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     36  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     37  emacs                               0x000000010014ebc8 Ffuncall 
+ 792
     38  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     39  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     40  emacs                               0x000000010014ebc8 Ffuncall 
+ 792
     41  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     42  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     43  emacs                               0x000000010014ebc8 Ffuncall 
+ 792
     44  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     45  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     46  emacs                               0x000000010014b270 call2 + 48
     47  emacs                               0x000000010014f7e7 
funcall_subr + 279
     48  emacs                               0x000000010014ebc8 Ffuncall 
+ 792
     49  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     50  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     51  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     52  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     53  emacs                               0x000000010014e740 Fapply + 512
     54  emacs                               0x000000010014ebc8 Ffuncall 
+ 792
     55  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     56  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     57  emacs                               0x000000010014e740 Fapply + 512
     58  emacs                               0x000000010014ebc8 Ffuncall 
+ 792
     59  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     60  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     61  emacs                               0x000000010014e740 Fapply + 512
     62  emacs                               0x000000010014ebc8 Ffuncall 
+ 792
     63  emacs                               0x000000010018ebf6 
exec_byte_code + 1814
     64  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     65  emacs                               0x000000010014f53c call5 + 60
     66  emacs                               0x000000010014a921 eval_sub 
+ 2049
     67  emacs                               0x000000010014bc8f Flet + 463
     68  emacs                               0x000000010014a723 eval_sub 
+ 1539
     69  emacs                               0x000000010014fc1d 
funcall_lambda + 813
     70  emacs                               0x000000010014eb2a Ffuncall 
+ 634
     71  emacs                               0x00000001001b69c5 
invoke_thread_function + 53
     72  emacs                               0x000000010014d103 
internal_condition_case + 259
     73  emacs                               0x00000001001b624a 
run_thread + 138
     74  libsystem_pthread.dylib             0x00007fff6316d33d 
_pthread_body + 126
     75  libsystem_pthread.dylib             0x00007fff631702a7 
_pthread_start + 70
     76  libsystem_pthread.dylib             0x00007fff6316c425 
thread_start + 13
)




In GNU Emacs 27.0.50 (build 3, x86_64-apple-darwin17.6.0, NS 
appkit-1561.40 Version 10.13.5 (Build 17F77))
  of 2018-06-30 built on Christians-MacBook-Air.local
Repository revision: ed65ea18152636500399a7b6b75c87bac7d4ef2b
Windowing system distributor 'Apple', version 10.3.1671
System Description:  Mac OS X 10.14

Recent messages:
Source file 
‘/Users/christianjohansson/Documents/emacs/lisp/mail/sendmail.el’ newer 
than byte-compiled file
Source file 
‘/Users/christianjohansson/Documents/emacs/lisp/gnus/message.el’ newer 
than byte-compiled file
Source file 
‘/Users/christianjohansson/Documents/emacs/lisp/mail/mailabbrev.el’ 
newer than byte-compiled file
Source file 
‘/Users/christianjohansson/Documents/emacs/lisp/gnus/gnus-util.el’ newer 
than byte-compiled file
Source file 
‘/Users/christianjohansson/Documents/emacs/lisp/mail/rmail.el’ newer 
than byte-compiled file
Source file ‘/Users/christianjohansson/Documents/emacs/lisp/epg.el’ 
newer than byte-compiled file
Source file 
‘/Users/christianjohansson/Documents/emacs/lisp/epg-config.el’ newer 
than byte-compiled file
Source file ‘/Users/christianjohansson/Documents/emacs/lisp/dired.el’ 
newer than byte-compiled file
Source file 
‘/Users/christianjohansson/Documents/emacs/lisp/emacs-lisp/bytecomp.el’ 
newer than byte-compiled file
Source file 
‘/Users/christianjohansson/Documents/emacs/lisp/emacs-lisp/byte-opt.el’ 
newer than byte-compiled file

Configured features:
RSVG IMAGEMAGICK DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
NS THREADS

Important settings:
   value of $LC_CTYPE: UTF-8
   value of $LANG: en_SE.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv dired dired-loaddefs format-spec rfc822 mml
mml-sec password-cache epa derived epg epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils help-mode easymenu cl-loaddefs cl-lib
apropos elec-pair time-date tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/ns-win ns-win ucs-normalize
mule-util term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 206501 10044)
  (symbols 48 20198 2)
  (miscs 40 35 169)
  (strings 32 29396 1914)
  (string-bytes 1 776758)
  (vectors 16 35414)
  (vector-slots 8 727972 11800)
  (floats 8 48 68)
  (intervals 56 372 0)
  (buffers 992 13))





Acknowledgement sent to Christian Johansson <christian@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33135; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.